osg::GLExtensions Class Reference

`#include <GLExtensions>`

Inheritance diagram for osg::GLExtensions:

## Public Member Functions

| GLExtensions (unsigned int in_contextID)
GLuint | getCurrentProgram () const
bool | getProgramInfoLog (GLuint program, std::string &result) const
bool | getShaderInfoLog (GLuint shader, std::string &result) const
bool | getAttribLocation (const char *attribName, GLuint &slot) const
bool | getFragDataLocation (const char *fragDataName, GLuint &slot) const
| void (GL_APIENTRY *glDrawBuffers)(GLsizei n
| void (GL_APIENTRY *glAttachShader)(GLuint program
| void (GL_APIENTRY *glBindAttribLocation)(GLuint program
| void (GL_APIENTRY *glCompileShader)(GLuint shader)
| GLuint (GL_APIENTRY *glCreateProgram)(void)
| GLuint (GL_APIENTRY *glCreateShader)(GLenum type)
| void (GL_APIENTRY *glDeleteProgram)(GLuint program)
| void (GL_APIENTRY *glDeleteObjectARB)(GLuint program)
| void (GL_APIENTRY *glDeleteShader)(GLuint shader)
| void (GL_APIENTRY *glDetachShader)(GLuint program
| void (GL_APIENTRY *glDisableVertexAttribArray)(GLuint index)
| void (GL_APIENTRY *glEnableVertexAttribArray)(GLuint index)
| void (GL_APIENTRY *glGetActiveAttrib)(GLuint program
| void (GL_APIENTRY *glGetActiveUniform)(GLuint program
| void (GL_APIENTRY *glGetAttachedShaders)(GLuint program
| GLint (GL_APIENTRY *glGetAttribLocation)(GLuint program
| void (GL_APIENTRY *glGetProgramiv)(GLuint program
| void (GL_APIENTRY *glGetObjectParameterivARB)(GLuint program
| void (GL_APIENTRY *glGetProgramInfoLog)(GLuint program
| void (GL_APIENTRY *glGetInfoLogARB)(GLuint program
| void (GL_APIENTRY *glGetShaderiv)(GLuint shader
| void (GL_APIENTRY *glGetShaderInfoLog)(GLuint shader
| void (GL_APIENTRY *glGetShaderSource)(GLuint shader
| GLint (GL_APIENTRY *glGetUniformLocation)(GLuint program
| void (GL_APIENTRY *glGetUniformfv)(GLuint program
| void (GL_APIENTRY *glGetUniformiv)(GLuint program
| void (GL_APIENTRY *glGetVertexAttribdv)(GLuint index
| void (GL_APIENTRY *glGetVertexAttribfv)(GLuint index
| void (GL_APIENTRY *glGetVertexAttribiv)(GLuint index
| void (GL_APIENTRY *glGetVertexAttribPointerv)(GLuint index
| GLboolean (GL_APIENTRY *glIsProgram)(GLuint program)
| GLboolean (GL_APIENTRY *glIsShader)(GLuint shader)
| void (GL_APIENTRY *glLinkProgram)(GLuint program)
| void (GL_APIENTRY *glShaderSource)(GLuint shader
| void (GL_APIENTRY *glUseProgram)(GLuint program)
| void (GL_APIENTRY *glUniform1f)(GLint location
| void (GL_APIENTRY *glUniform2f)(GLint location
| void (GL_APIENTRY *glUniform3f)(GLint location
| void (GL_APIENTRY *glUniform4f)(GLint location
| void (GL_APIENTRY *glUniform1i)(GLint location
| void (GL_APIENTRY *glUniform2i)(GLint location
| void (GL_APIENTRY *glUniform3i)(GLint location
| void (GL_APIENTRY *glUniform4i)(GLint location
| void (GL_APIENTRY *glUniform1fv)(GLint location
| void (GL_APIENTRY *glUniform2fv)(GLint location
| void (GL_APIENTRY *glUniform3fv)(GLint location
| void (GL_APIENTRY *glUniform4fv)(GLint location
| void (GL_APIENTRY *glUniform1iv)(GLint location
| void (GL_APIENTRY *glUniform2iv)(GLint location
| void (GL_APIENTRY *glUniform3iv)(GLint location
| void (GL_APIENTRY *glUniform4iv)(GLint location
| void (GL_APIENTRY *glUniformMatrix2fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4fv)(GLint location
| void (GL_APIENTRY *glValidateProgram)(GLuint program)
| void (GL_APIENTRY *glVertexAttrib1d)(GLuint index
| void (GL_APIENTRY *glVertexAttrib1dv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib1f)(GLuint index
| void (GL_APIENTRY *glVertexAttrib1fv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib1s)(GLuint index
| void (GL_APIENTRY *glVertexAttrib1sv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2d)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2dv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2f)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2fv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2s)(GLuint index
| void (GL_APIENTRY *glVertexAttrib2sv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3d)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3dv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3f)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3fv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3s)(GLuint index
| void (GL_APIENTRY *glVertexAttrib3sv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nbv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Niv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nsv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nub)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nubv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nuiv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4Nusv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4bv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4d)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4dv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4f)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4fv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4iv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4s)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4sv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4ubv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4uiv)(GLuint index
| void (GL_APIENTRY *glVertexAttrib4usv)(GLuint index
| void (GL_APIENTRY *glVertexAttribPointer)(unsigned int
| void (GL_APIENTRY *glVertexAttribIPointer)(unsigned int
| void (GL_APIENTRY *glVertexAttribLPointer)(unsigned int
| void (GL_APIENTRY *glVertexAttribDivisor)(GLuint index
| void (GL_APIENTRY *glUniformMatrix2x3fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3x2fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix2x4fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4x2fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3x4fv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4x3fv)(GLint location
| void (GL_APIENTRY *glClipControl)(GLenum origin
| void (GL_APIENTRY *glProgramParameteri)(GLuint program
| void (GL_APIENTRY *glPatchParameteri)(GLenum pname
| void (GL_APIENTRY *glPatchParameterfv)(GLenum pname
| void (GL_APIENTRY *glGetUniformuiv)(GLuint program
| void (GL_APIENTRY *glBindFragDataLocation)(GLuint program
| void (GL_APIENTRY *glBindFragDataLocationIndexed)(GLuint program
| GLint (GL_APIENTRY *glGetFragDataIndex)(GLuint program
| GLint (GL_APIENTRY *glGetFragDataLocation)(GLuint program
| void (GL_APIENTRY *glUniform1ui)(GLint location
| void (GL_APIENTRY *glUniform2ui)(GLint location
| void (GL_APIENTRY *glUniform3ui)(GLint location
| void (GL_APIENTRY *glUniform4ui)(GLint location
| void (GL_APIENTRY *glUniform1uiv)(GLint location
| void (GL_APIENTRY *glUniform2uiv)(GLint location
| void (GL_APIENTRY *glUniform3uiv)(GLint location
| void (GL_APIENTRY *glUniform4uiv)(GLint location
| void (GL_APIENTRY *glUniform1i64)(GLint location
| void (GL_APIENTRY *glUniform1i64v)(GLint location
| void (GL_APIENTRY *glUniform1ui64)(GLint location
| void (GL_APIENTRY *glUniform1ui64v)(GLint location
| void (GL_APIENTRY *glUniform2i64)(GLint location
| void (GL_APIENTRY *glUniform2i64v)(GLint location
| void (GL_APIENTRY *glUniform2ui64)(GLint location
| void (GL_APIENTRY *glUniform2ui64v)(GLint location
| void (GL_APIENTRY *glUniform3i64)(GLint location
| void (GL_APIENTRY *glUniform3i64v)(GLint location
| void (GL_APIENTRY *glUniform3ui64)(GLint location
| void (GL_APIENTRY *glUniform3ui64v)(GLint location
| void (GL_APIENTRY *glUniform4i64)(GLint location
| void (GL_APIENTRY *glUniform4i64v)(GLint location
| void (GL_APIENTRY *glUniform4ui64)(GLint location
| void (GL_APIENTRY *glUniform4ui64v)(GLint location
| GLuint (GL_APIENTRY *glGetHandleARB)(GLenum pname)
| void (GL_APIENTRY *glGetUniformIndices)(GLuint program
| void (GL_APIENTRY *glGetActiveUniformsiv)(GLuint program
| void (GL_APIENTRY *glGetActiveUniformName)(GLuint program
| GLuint (GL_APIENTRY *glGetUniformBlockIndex)(GLuint program
| void (GL_APIENTRY *glGetActiveUniformBlockiv)(GLuint program
| void (GL_APIENTRY *glGetActiveUniformBlockName)(GLuint program
| void (GL_APIENTRY *glUniformBlockBinding)(GLuint program
| void (GL_APIENTRY *glGetProgramBinary)(GLuint program
| void (GL_APIENTRY *glProgramBinary)(GLuint program
| void (GL_APIENTRY *glUniform1d)(GLint location
| void (GL_APIENTRY *glUniform2d)(GLint location
| void (GL_APIENTRY *glUniform3d)(GLint location
| void (GL_APIENTRY *glUniform4d)(GLint location
| void (GL_APIENTRY *glUniform1dv)(GLint location
| void (GL_APIENTRY *glUniform2dv)(GLint location
| void (GL_APIENTRY *glUniform3dv)(GLint location
| void (GL_APIENTRY *glUniform4dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix2dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix2x3dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3x2dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix2x4dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4x2dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix3x4dv)(GLint location
| void (GL_APIENTRY *glUniformMatrix4x3dv)(GLint location
| void (GL_APIENTRY *glGetActiveAtomicCounterBufferiv)(GLuint program
| void (GL_APIENTRY *glDispatchCompute)(GLuint numGroupsX
| GLuint64 (GL_APIENTRY *glGetTextureHandle)(GLuint texture)
| GLuint64 (GL_APIENTRY *glGetTextureSamplerHandle)(GLuint texture
| void (GL_APIENTRY *glMakeTextureHandleResident)(GLuint64 handle)
| void (GL_APIENTRY *glMakeTextureHandleNonResident)(GLuint64 handle)
| GLboolean (GL_APIENTRY *glIsTextureHandleResident)(GLuint64 handle)
| GLuint64 (GL_APIENTRY *glGetImageHandle)(GLuint texture
| void (GL_APIENTRY *glMakeImageHandleResident)(GLuint64 handle)
| void (GL_APIENTRY *glMakeImageHandleNonResident)(GLuint64 handle)
| GLboolean (GL_APIENTRY *glIsImageHandleResident)(GLuint64 handle)
| void (GL_APIENTRY *glUniformHandleui64)(GLint location
| void (GL_APIENTRY *glUniformHandleuiv64)(GLint location
| void (GL_APIENTRY *glProgramUniformHandleui64)(GLuint program
| void (GL_APIENTRY *glProgramUniformHandleuiv64)(GLuint program
| void (GL_APIENTRY *glGenBuffers)(GLsizei n
| void (GL_APIENTRY *glBindBuffer)(GLenum target
| void (GL_APIENTRY *glBufferData)(GLenum target
| void (GL_APIENTRY *glBufferSubData)(GLenum target
| void (GL_APIENTRY *glDeleteBuffers)(GLsizei n
| GLboolean (GL_APIENTRY *glIsBuffer)(GLuint buffer)
| void (GL_APIENTRY *glGetBufferSubData)(GLenum target
GLvoid *GL_APIENTRY * | glBufferStorage (GLenum target, GLintptr size, const GLvoid *data, GLbitfield flags)
GLvoid *GL_APIENTRY * | glNamedBufferStorage (GLuint buffer, GLsizei size, const void *data, GLbitfield flags)
GLvoid *GL_APIENTRY * | glMapBuffer (GLenum target, GLenum access)
GLvoid *GL_APIENTRY * | glMapBufferRange (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
| GLboolean (GL_APIENTRY *glUnmapBuffer)(GLenum target)
| void (GL_APIENTRY *glGetBufferParameteriv)(GLenum target
| void (GL_APIENTRY *glGetBufferPointerv)(GLenum target
| void (GL_APIENTRY *glBindBufferRange)(GLenum target
| void (GL_APIENTRY *glBindBufferBase)(GLenum target
| void (GL_APIENTRY *glTexBuffer)(GLenum target
| void (GL_APIENTRY *glMemoryBarrier)(GLbitfield barriers)
| void (GL_APIENTRY *glBlendFuncSeparate)(GLenum sfactorRGB
| void (GL_APIENTRY *glBlendFunci)(GLuint buf
| void (GL_APIENTRY *glBlendFuncSeparatei)(GLuint buf
| void (GL_APIENTRY *glDrawArraysInstanced)(GLenum mode
| void (GL_APIENTRY *glDrawElementsInstanced)(GLenum mode
| void (GL_APIENTRY *glSecondaryColor3ubv)(const GLubyte *coord)
| void (GL_APIENTRY *glSecondaryColor3fv)(const GLfloat *coord)
| void (GL_APIENTRY *glFogCoordfv)(const GLfloat *coord)
| void (GL_APIENTRY *glMultiTexCoord1f)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord4f)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord1fv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord2fv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord3fv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord4fv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord1d)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord1dv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord2dv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord3dv)(GLenum target
| void (GL_APIENTRY *glMultiTexCoord4dv)(GLenum target
| void (GL_APIENTRY *glGenOcclusionQueries)(GLsizei n
| void (GL_APIENTRY *glDeleteOcclusionQueries)(GLsizei n
| GLboolean (GL_APIENTRY *glIsOcclusionQuery)(GLuint id)
| void (GL_APIENTRY *glBeginOcclusionQuery)(GLuint id)
| void (GL_APIENTRY *glEndOcclusionQuery)()
| void (GL_APIENTRY *glGetOcclusionQueryiv)(GLuint id
| void (GL_APIENTRY *glGetOcclusionQueryuiv)(GLuint id
| void (GL_APIENTRY *glGetQueryiv)(GLenum target
| void (GL_APIENTRY *glGenQueries)(GLsizei n
| void (GL_APIENTRY *glBeginQuery)(GLenum target
| void (GL_APIENTRY *glEndQuery)(GLenum target)
| void (GL_APIENTRY *glBeginQueryIndexed)(GLenum target
| void (GL_APIENTRY *glEndQueryIndexed)(GLenum target
| void (GL_APIENTRY *glQueryCounter)(GLuint id
| GLboolean (GL_APIENTRY *glIsQuery)(GLuint id)
| void (GL_APIENTRY *glDeleteQueries)(GLsizei n
| void (GL_APIENTRY *glGetQueryObjectiv)(GLuint id
| void (GL_APIENTRY *glGetQueryObjectuiv)(GLuint id
| void (GL_APIENTRY *glGetQueryObjectui64v)(GLuint id
| void (GL_APIENTRY *glGetInteger64v)(GLenum pname
| void (GL_APIENTRY *glSampleMaski)(GLuint maskNumber
| void (GL_APIENTRY *glBindProgram)(GLenum target
| void (GL_APIENTRY *glGenPrograms)(GLsizei n
| void (GL_APIENTRY *glDeletePrograms)(GLsizei n
| void (GL_APIENTRY *glProgramString)(GLenum target
| void (GL_APIENTRY *glProgramLocalParameter4fv)(GLenum target
| void (GL_APIENTRY *glSamplerParameteri)(GLuint sampler
| void (GL_APIENTRY *glSamplerParameterf)(GLuint sampler
| void (GL_APIENTRY *glSamplerParameteriv)(GLuint sampler
| void (GL_APIENTRY *glSamplerParameterfv)(GLuint sampler
| void (GL_APIENTRY *glSamplerParameterIiv)(GLuint sampler
| void (GL_APIENTRY *glSamplerParameterIuiv)(GLuint sampler
| void (GL_APIENTRY *glGetSamplerParameteriv)(GLuint sampler
| void (GL_APIENTRY *glGetSamplerParameterfv)(GLuint sampler
| void (GL_APIENTRY *glGetSamplerParameterIiv)(GLuint sampler
| void (GL_APIENTRY *glGetSamplerParameterIuiv)(GLuint sampler
| void (GL_APIENTRY *glGenSamplers)(GLsizei size
| void (GL_APIENTRY *glDeleteSamplers)(GLsizei size
| void (GL_APIENTRY *glBindSampler)(GLuint tu
| GLboolean (GL_APIENTRY *glIsSampler)(GLuint id)
bool | isTexStorage2DSupported () const
bool | isCompressedTexImage2DSupported () const
bool | isCompressedTexSubImage2DSupported () const
bool | isBindImageTextureSupported () const
bool | isNonPowerOfTwoTextureSupported (GLenum filter) const
| void (GL_APIENTRY *glTexStorage1D)(GLenum target
| immutable texture storage and texture view
| void (GL_APIENTRY *glTextureStorage1D)(GLuint texture
| void (GL_APIENTRY *glTexStorage2D)(GLenum target
| void (GL_APIENTRY *glTextureStorage2D)(GLuint texture
| void (GL_APIENTRY *glTexStorage3D)(GLenum target
| void (GL_APIENTRY *glTextureStorage3D)(GLuint texture
| void (GL_APIENTRY *glTexStorage2DMultisample)(GLenum target
| void (GL_APIENTRY *glTexStorage3DMultisample)(GLenum target
| void (GL_APIENTRY *glTextureView)(GLuint texture
| void (GL_APIENTRY *glCompressedTexImage2D)(GLenum target
| void (GL_APIENTRY *glCompressedTexSubImage2D)(GLenum target
| void (GL_APIENTRY *glGetCompressedTexImage)(GLenum target
| void (GL_APIENTRY *glTexImage2DMultisample)(GLenum target
| void (GL_APIENTRY *glTexParameterIiv)(GLenum target
| void (GL_APIENTRY *glTexParameterIuiv)(GLenum target
| void (GL_APIENTRY *glBindImageTexture)(GLuint unit
bool | isCompressedTexImage3DSupported () const
bool | isCompressedTexSubImage3DSupported () const
| void (GL_APIENTRY *glTexImage3D)(GLenum target
| void (GL_APIENTRY *glTexSubImage3D)(GLenum target
| void (GL_APIENTRY *glCopyTexSubImage3D)(GLenum target
| void (GL_APIENTRY *glCompressedTexImage3D)(GLenum target
| void (GL_APIENTRY *glCompressedTexSubImage3D)(GLenum target
| void (GL_APIENTRY *glTexImage3DMultisample)(GLenum target
| void (GL_APIENTRY *glGetMultisamplefv)(GLenum pname
| void (GL_APIENTRY *glBlendColor)(GLfloat red
| void (GL_APIENTRY *glBlendEquation)(GLenum mode)
| void (GL_APIENTRY *glBlendEquationSeparate)(GLenum modeRGB
| void (GL_APIENTRY *glBlendEquationi)(GLuint buf
| void (GL_APIENTRY *glBlendEquationSeparatei)(GLuint buf
| void (GL_APIENTRY *glEnablei)(GLenum capability
| void (GL_APIENTRY *glDisablei)(GLenum capability
| void (GL_APIENTRY *glActiveStencilFace)(GLenum face)
| void (GL_APIENTRY *glStencilOpSeparate)(GLenum face
| void (GL_APIENTRY *glStencilMaskSeparate)(GLenum face
| void (GL_APIENTRY *glStencilFuncSeparate)(GLenum face
| void (GL_APIENTRY *glStencilFuncSeparateATI)(GLenum frontfunc
| void (GL_APIENTRY *glColorMaski)(GLuint buf
| void (GL_APIENTRY *glClampColor)(GLenum target
| void (GL_APIENTRY *glPrimitiveRestartIndex)(GLuint index)
| void (GL_APIENTRY *glSampleCoverage)(GLfloat value
| void (GL_APIENTRY *glPointParameteri)(GLenum pname
| void (GL_APIENTRY *glPointParameterf)(GLenum pname
| void (GL_APIENTRY *glPointParameterfv)(GLenum pname
bool | isRenderbufferMultisampleSupported () const
bool | isRenderbufferMultisampleCoverageSupported () const
| void (GL_APIENTRY *glBindRenderbuffer)(GLenum
| void (GL_APIENTRY *glDeleteRenderbuffers)(GLsizei n
| void (GL_APIENTRY *glGenRenderbuffers)(GLsizei
GLuint * | void (GL_APIENTRY *glRenderbufferStorage)(GLenum
| void (GL_APIENTRY *glRenderbufferStorageMultisample)(GLenum
| void (GL_APIENTRY *glRenderbufferStorageMultisampleCoverageNV)(GLenum
| void (GL_APIENTRY *glBindFramebuffer)(GLenum
| void (GL_APIENTRY *glDeleteFramebuffers)(GLsizei n
| void (GL_APIENTRY *glGenFramebuffers)(GLsizei
GLuint * | GLenum (GL_APIENTRY *glCheckFramebufferStatus)(GLenum)
| void (GL_APIENTRY *glFramebufferTexture1D)(GLenum
| void (GL_APIENTRY *glFramebufferTexture2D)(GLenum
| void (GL_APIENTRY *glFramebufferTexture2DMultisample)(GLenum
| void (GL_APIENTRY *glFramebufferTexture3D)(GLenum
| void (GL_APIENTRY *glFramebufferTexture)(GLenum
| void (GL_APIENTRY *glFramebufferTextureLayer)(GLenum
| void (GL_APIENTRY *glFramebufferTextureFace)(GLenum target
| void (GL_APIENTRY *glFramebufferRenderbuffer)(GLenum
| void (GL_APIENTRY *glGenerateMipmap)(GLenum)
| void (GL_APIENTRY *glBlitFramebuffer)(GLint
| void (GL_APIENTRY *glInvalidateFramebuffer)(GLenum
const GLenum * | void (GL_APIENTRY *glGetRenderbufferParameteriv)(GLenum
const GLenum GLint * | void (GL_APIENTRY *glFramebufferParameteri)(GLenum target
| void (GL_APIENTRY *glGetFramebufferParameteriv)(GLenum target
| void (GL_APIENTRY *glNamedFramebufferParameteri)(GLuint fbo
| void (GL_APIENTRY *glGetNamedFramebufferParameteriv)(GLuint fbo
| GLint (GL_APIENTRY *glGetSubroutineUniformLocation)(GLuint program
| void (GL_APIENTRY *glGetActiveSubroutineUniformName)(GLuint program
| void (GL_APIENTRY *glGetActiveSubroutineUniformiv)(GLuint program
| GLuint (GL_APIENTRY *glGetSubroutineIndex)(GLuint program
| void (GL_APIENTRY *glGetActiveSubroutineName)(GLuint program
| void (GL_APIENTRY *glGetProgramStageiv)(GLuint program
| void (GL_APIENTRY *glUniformSubroutinesuiv)(GLenum shadertype
| void (GL_APIENTRY *glGetUniformSubroutineuiv)(GLenum shadertype
| GLsync (GL_APIENTRY *glFenceSync)(GLenum condition
| GLboolean (GL_APIENTRY *glIsSync)(GLsync sync)
| void (GL_APIENTRY *glDeleteSync)(GLsync sync)
| GLenum (GL_APIENTRY *glClientWaitSync)(GLsync sync
| void (GL_APIENTRY *glWaitSync)(GLsync sync
| void (GL_APIENTRY *glGetSynciv)(GLsync sync
| void (GL_APIENTRY *glDrawArraysIndirect)(GLenum mode
| void (GL_APIENTRY *glMultiDrawArraysIndirect)(GLenum mode
| void (GL_APIENTRY *glDrawElementsIndirect)(GLenum mode
| void (GL_APIENTRY *glMultiDrawElementsIndirect)(GLenum mode
| void (GL_APIENTRY *glTexPageCommitment)(GLenum target
| void (GL_APIENTRY *glBeginTransformFeedback)(GLenum primitiveMode)
| void (GL_APIENTRY *glEndTransformFeedback)(void)
| void (GL_APIENTRY *glTransformFeedbackVaryings)(GLuint program
| void (GL_APIENTRY *glGetTransformFeedbackVarying)(GLuint program
| void (GL_APIENTRY *glBindTransformFeedback)(GLenum target
| void (GL_APIENTRY *glDeleteTransformFeedbacks)(GLsizei n
| void (GL_APIENTRY *glGenTransformFeedbacks)(GLsizei n
| GLboolean (GL_APIENTRY *glIsTransformFeedback)(GLuint id)
| void (GL_APIENTRY *glPauseTransformFeedback)(void)
| void (GL_APIENTRY *glResumeTransformFeedback)(void)
| void (GL_APIENTRY *glDrawTransformFeedback)(GLenum mode
| void (GL_APIENTRY *glDrawTransformFeedbackStream)(GLenum mode
| void (GL_APIENTRY *glDrawTransformFeedbackInstanced)(GLenum mode
| void (GL_APIENTRY *glDrawTransformFeedbackStreamInstanced)(GLenum mode
| void (GL_APIENTRY *glCreateTransformFeedbacks)(GLsizei n
| void (GL_APIENTRY *glTransformFeedbackBufferBase)(GLuint xfb
| void (GL_APIENTRY *glTransformFeedbackBufferRange)(GLuint xfb
| void (GL_APIENTRY *glGetTransformFeedbackiv)(GLuint xfb
| void (GL_APIENTRY *glGetTransformFeedbacki_v)(GLuint xfb
| void (GL_APIENTRY *glGetTransformFeedbacki64_v)(GLuint xfb
| void (GL_APIENTRY *glDeleteVertexArrays)(GLsizei size
| void (GL_APIENTRY *glGenVertexArrays)(GLsizei size
| GLboolean (GL_APIENTRY *glIsVertexArray)(GLuint handle)
| void (GL_APIENTRY *glBindVertexArray)(GLuint handle)
| void (GL_APIENTRY *glBindVertexBuffer)(GLuint bindingindex
| void (GL_APIENTRY *glVertexArrayVertexBuffer)(GLuint vaobj
| void (GL_APIENTRY *glVertexAttribBinding)(GLuint attribindex
| void (GL_APIENTRY *glVertexArrayAttribBinding)(GLuint vaobj
| void (GL_APIENTRY *glVertexAttribFormat)(GLuint attribindex
| void (GL_APIENTRY *glVertexAttribIFormat)(GLuint attribindex
| void (GL_APIENTRY *glVertexAttribLFormat)(GLuint attribindex
| void (GL_APIENTRY *glVertexArrayAttribFormat)(GLuint vaobj
| void (GL_APIENTRY *glVertexArrayAttribIFormat)(GLuint vaobj
| void (GL_APIENTRY *glVertexArrayAttribLFormat)(GLuint vaobj
| void (GL_APIENTRY *glMultiDrawArrays)(GLenum mode
| void (GL_APIENTRY *glMultiDrawElements)(GLenum mode
| void (GL_APIENTRY *glMultiDrawElementsBaseVertex)(GLenum mode
| void (GL_APIENTRY *glDrawRangeElements)(GLenum mode
| void (GL_APIENTRY *glDrawElementsBaseVertex)(GLenum mode
| void (GL_APIENTRY *glDrawElementsInstancedBaseVertex)(GLenum mode
| void (GL_APIENTRY *glDrawRangeElementsBaseVertex)(GLenum mode
| void (GL_APIENTRY *glProvokingVertex)(GLenum mode)
| void (GL_APIENTRY *glBeginConditionalRender)(GLuint id
| void (GL_APIENTRY *glEndConditionalRender)(void)
| void (GL_APIENTRY *glDrawArraysInstancedBaseInstance)(GLenum mode
| void (GL_APIENTRY *glDrawElementsInstancedBaseInstance)(GLenum mode
| void (GL_APIENTRY *glDrawElementsInstancedBaseVertexBaseInstance)(GLenum mode
| void (GL_APIENTRY *glViewportArrayv)(GLuint first
| void (GL_APIENTRY *glViewportIndexedf)(GLuint index
| void (GL_APIENTRY *glViewportIndexedfv)(GLuint index
| void (GL_APIENTRY *glScissorArrayv)(GLuint first
| void (GL_APIENTRY *glScissorIndexed)(GLuint index
| void (GL_APIENTRY *glScissorIndexedv)(GLuint index
| void (GL_APIENTRY *glDepthRangeArrayv)(GLuint first
| void (GL_APIENTRY *glDepthRangeIndexed)(GLuint index
| void (GL_APIENTRY *glDepthRangeIndexedf)(GLuint index
| void (GL_APIENTRY *glGetFloati_v)(GLenum target
| void (GL_APIENTRY *glGetDoublei_v)(GLenum target
| void (GL_APIENTRY *glGetIntegerIndexedvEXT)(GLenum target
| void (GL_APIENTRY *glEnableIndexedEXT)(GLenum target
| void (GL_APIENTRY *glDisableIndexedEXT)(GLenum target
| GLboolean (GL_APIENTRY *glIsEnabledIndexedEXT)(GLenum target
| void (GL_APIENTRY *glClientActiveTexture)(GLenum texture)
| void (GL_APIENTRY *glActiveTexture)(GLenum texture)
| void (GL_APIENTRY *glFogCoordPointer)(GLenum type
| void (GL_APIENTRY *glSecondaryColorPointer)(GLint size
| void (GL_APIENTRY *glObjectLabel)(GLenum identifier
void | debugObjectLabel (GLenum identifier, GLuint name, const std::string &label) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static GLExtensions * | Get (unsigned int in_contextID, bool createIfNotInitalized)
static void | Set (unsigned int in_contextID, GLExtensions *extensions)
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Public Attributes

unsigned int | contextID
float | glVersion
float | glslLanguageVersion
bool | isGlslSupported
bool | isShaderObjectsSupported
bool | isVertexShaderSupported
bool | isFragmentShaderSupported
bool | isLanguage100Supported
bool | isGeometryShader4Supported
bool | areTessellationShadersSupported
bool | isGpuShader4Supported
bool | isUniformBufferObjectSupported
bool | isGetProgramBinarySupported
bool | isGpuShaderFp64Supported
bool | isShaderAtomicCountersSupported
bool | isRectangleSupported
bool | isCubeMapSupported
bool | isClipControlSupported
const GLenum * | bufs
GLuint | shader
GLuint | index
GLuint const GLchar * | name
GLuint GLsizei | bufSize
GLuint GLsizei GLsizei * | length
GLuint GLsizei GLsizei GLint * | size
GLuint GLsizei GLsizei GLint GLenum * | type
GLuint GLsizei GLsizei GLint GLenum GLchar * | name
GLsizei | maxCount
GLsizei GLsizei * | count
GLsizei GLsizei GLuint * | obj
const GLchar * | name
GLenum | pname
GLenum GLint * | params
GLsizei | bufSize
GLsizei GLsizei * | length
GLsizei GLsizei GLchar * | infoLog
GLsizei GLsizei GLchar * | source
GLint | location
GLint GLfloat * | params
GLint GLint * | params
GLenum GLdouble * | params
GLenum GLfloat * | params
GLenum GLvoid ** | pointer
GLsizei | count
GLsizei const GLchar ** | string
GLsizei const GLchar const GLint * | length
GLfloat | v0
GLfloat GLfloat | v1
GLfloat GLfloat GLfloat | v2
GLfloat GLfloat GLfloat GLfloat | v3
GLint | v0
GLint GLint | v1
GLint GLint GLint | v2
GLint GLint GLint GLint | v3
GLsizei const GLfloat * | value
GLsizei const GLint * | value
GLsizei GLboolean | transpose
GLsizei GLboolean const GLfloat * | value
GLdouble | x
const GLdouble * | v
GLfloat | x
const GLfloat * | v
GLshort | x
const GLshort * | v
GLdouble GLdouble | y
GLfloat GLfloat | y
GLshort GLshort | y
GLdouble GLdouble GLdouble | z
GLfloat GLfloat GLfloat | z
GLshort GLshort GLshort | z
const GLbyte * | v
const GLint * | v
GLubyte | x
GLubyte GLubyte | y
GLubyte GLubyte GLubyte | z
GLubyte GLubyte GLubyte GLubyte | w
const GLubyte * | v
const GLuint * | v
const GLushort * | v
GLdouble GLdouble GLdouble GLdouble | w
GLfloat GLfloat GLfloat GLfloat | w
GLshort GLshort GLshort GLshort | w
| GLint
| GLenum
GLboolean | normalized
GLboolean GLsizei | stride
GLboolean GLsizei const GLvoid * | pointer
GLsizei | stride
GLsizei const GLvoid * | pointer
GLuint | divisor
GLenum | depthMode
GLenum GLint | value
GLint | value
const GLfloat * | values
GLint GLuint * | params
GLuint | color
GLuint | colorNumber
GLuint GLuint | index
GLuint GLuint const GLchar * | name
GLuint | v0
GLuint GLuint | v1
GLuint GLuint GLuint | v2
GLuint GLuint GLuint GLuint | v3
GLsizei const GLuint * | value
GLint64 | x
GLsizei const GLint64 * | value
GLuint64 | x
GLsizei const GLuint64 * | value
GLint64 GLint64 | y
GLuint64 GLuint64 | y
GLint64 GLint64 GLint64 | z
GLuint64 GLuint64 GLuint64 | z
GLint64 GLint64 GLint64 GLint64 | w
GLuint64 GLuint64 GLuint64 GLuint64 | w
GLsizei | uniformCount
GLsizei const GLchar ** | uniformNames
GLsizei const GLchar GLuint * | uniformIndices
GLsizei const GLuint * | uniformIndices
GLsizei const GLuint GLenum | pname
GLsizei const GLuint GLenum GLint * | params
GLuint | uniformIndex
GLuint GLsizei GLsizei GLchar * | uniformName
const GLchar * | uniformBlockName
GLuint | uniformBlockIndex
GLuint GLenum | pname
GLuint GLenum GLint * | params
GLuint GLsizei GLsizei GLchar * | uniformBlockName
GLuint GLuint | uniformBlockBinding
GLsizei GLsizei GLenum * | binaryFormat
GLsizei GLsizei GLenum GLvoid * | binary
GLenum | binaryFormat
GLenum const GLvoid * | binary
GLenum const GLvoid GLsizei | length
GLdouble | v0
GLdouble GLdouble | v1
GLdouble GLdouble GLdouble | v2
GLdouble GLdouble GLdouble GLdouble | v3
GLsizei const GLdouble * | value
GLsizei GLboolean const GLdouble * | value
GLuint | bufferIndex
GLuint | numGroupsY
GLuint GLuint | numGroupsZ
GLuint | sampler
GLint | level
GLint GLboolean | layered
GLint GLboolean GLint | layer
GLint GLboolean GLint GLenum | format
GLuint64 | handle
GLsizei GLuint64 * | handles
GLint GLuint64 | handle
GLint GLsizei | count
GLint GLsizei GLuint64 * | handles
bool | isBufferObjectSupported
bool | isVBOSupported
bool | isPBOSupported
bool | isTBOSupported
bool | isVAOSupported
bool | isTransformFeedbackSupported
GLuint * | buffers
GLuint | buffer
GLsizeiptr | size
GLsizeiptr const GLvoid * | data
GLsizeiptr const GLvoid GLenum | usage
GLintptr | offset
GLintptr GLsizeiptr | size
GLintptr GLsizeiptr const GLvoid * | data
const GLuint * | buffers
GLintptr GLsizeiptr GLvoid * | data
GLenum GLvoid ** | params
GLuint GLuint | buffer
GLuint GLuint GLintptr | offset
GLuint GLuint GLintptr GLsizeiptr | size
GLenum | internalFormat
GLenum GLuint | buffer
bool | isBlendFuncSeparateSupported
GLenum | dfactorRGB
GLenum GLenum | sfactorAlpha
GLenum GLenum GLenum | dfactorAlpha
GLenum | src
GLenum GLenum | dst
GLenum | sfactorRGB
GLenum GLenum | dfactorRGB
GLenum GLenum GLenum | sfactorAlpha
GLenum GLenum GLenum GLenum | dfactorAlpha
bool | isSecondaryColorSupported
bool | isFogCoordSupported
bool | isMultiTexSupported
bool | isOcclusionQuerySupported
bool | isARBOcclusionQuerySupported
bool | isTimerQuerySupported
bool | isARBTimerQuerySupported
GLint | first
GLint GLsizei GLsizei | primcount
GLsizei GLenum | type
GLsizei GLenum const GLvoid * | indices
GLsizei GLenum const GLvoid GLsizei | primcount
GLfloat | coord
const GLfloat * | coord
GLdouble | coord
const GLdouble * | coord
GLuint * | ids
const GLuint * | ids
GLenum GLuint * | params
GLuint | id
GLuint GLuint | id
GLenum | target
GLenum GLuint64 * | params
GLint64 * | params
bool | isOpenGL32upported
bool | isTextureMultisampleSupported
bool | isSampleMaskiSupported
GLbitfield | mask
bool | isVertexProgramSupported
bool | isFragmentProgramSupported
GLuint * | programs
GLenum | format
GLenum GLsizei | len
GLenum GLsizei const void * | string
GLuint const GLfloat * | params
GLenum | param
GLenum GLfloat | value
GLenum GLint * | value
GLenum GLfloat * | value
GLenum GLuint * | value
GLuint * | samplers
const GLuint * | samplers
bool | isMultiTexturingSupported
bool | isTextureFilterAnisotropicSupported
bool | isTextureSwizzleSupported
bool | isTextureCompressionARBSupported
bool | isTextureCompressionS3TCSupported
bool | isTextureCompressionPVRTC2BPPSupported
bool | isTextureCompressionPVRTC4BPPSupported
bool | isTextureCompressionETCSupported
bool | isTextureCompressionETC2Supported
bool | isTextureCompressionRGTCSupported
bool | isTextureCompressionPVRTCSupported
bool | isTextureMirroredRepeatSupported
bool | isTextureEdgeClampSupported
bool | isTextureBorderClampSupported
bool | isGenerateMipMapSupported
bool | preferGenerateMipmapSGISForPowerOfTwo
bool | isTextureMultisampledSupported
bool | isShadowSupported
bool | isShadowAmbientSupported
bool | isTextureMaxLevelSupported
GLint | maxTextureSize
bool | isClientStorageSupported
bool | isTextureIntegerEXTSupported
bool | isTextureStorageEnabled
bool | isNonPowerOfTwoTextureMipMappedSupported
bool | isNonPowerOfTwoTextureNonMipMappedSupported
GLsizei | numMipmapLevels
GLsizei GLenum | internalformat
GLsizei GLenum GLsizei | width
GLsizei GLenum GLsizei GLsizei | height
GLsizei GLenum GLsizei GLsizei GLsizei | depth
GLsizei | numSamples
GLsizei GLenum GLsizei GLsizei GLboolean | fixedsamplelocations
GLsizei GLenum GLsizei GLsizei GLsizei GLboolean | fixedsamplelocations
GLenum GLuint | orig
GLenum GLuint GLenum | internalformat
GLenum GLuint GLenum GLuint | minlevel
GLenum GLuint GLenum GLuint GLuint | numlevels
GLenum GLuint GLenum GLuint GLuint GLuint | minlayer
GLenum GLuint GLenum GLuint GLuint GLuint GLuint | numlayers
GLint GLenum | internalformat
GLint GLenum GLsizei | width
GLint GLenum GLsizei GLsizei | height
GLint GLenum GLsizei GLsizei GLint | border
GLint GLenum GLsizei GLsizei GLint GLsizei | imageSize
GLint GLenum GLsizei GLsizei GLint GLsizei const GLvoid * | data
GLint GLint | xoffset
GLint GLint GLint | yoffset
GLint GLint GLint GLsizei | width
GLint GLint GLint GLsizei GLsizei | height
GLint GLint GLint GLsizei GLsizei GLenum | format
GLint GLint GLint GLsizei GLsizei GLenum GLsizei | imageSize
GLint GLint GLint GLsizei GLsizei GLenum GLsizei const GLvoid * | data
GLint GLvoid * | data
GLsizei | samples
GLsizei GLint | internalformat
GLsizei GLint GLsizei | width
GLsizei GLint GLsizei GLsizei | height
GLsizei GLint GLsizei GLsizei GLboolean | fixedsamplelocations
GLenum const GLint * | data
GLenum const GLuint * | data
GLuint | texture
GLuint GLint | level
GLuint GLint GLboolean | layered
GLuint GLint GLboolean GLint | layer
GLuint GLint GLboolean GLint GLenum | access
GLuint GLint GLboolean GLint GLenum GLenum | format
bool | isTexture3DSupported
bool | isTexture3DFast
GLint | maxTexture3DSize
GLint GLenum | internalFormat
GLint GLenum GLsizei GLsizei GLsizei | depth
GLint GLenum GLsizei GLsizei GLsizei GLint | border
GLint GLenum GLsizei GLsizei GLsizei GLint GLenum | format
GLint GLenum GLsizei GLsizei GLsizei GLint GLenum GLenum | type
GLint GLenum GLsizei GLsizei GLsizei GLint GLenum GLenum const GLvoid * | pixels
GLint GLint GLint GLint | zoffset
GLint GLint GLint GLint GLsizei | width
GLint GLint GLint GLint GLsizei GLsizei | height
GLint GLint GLint GLint GLsizei GLsizei GLsizei | depth
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum | format
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLenum | type
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLenum const GLvoid * | pixels
GLint GLint GLint GLint GLint | x
GLint GLint GLint GLint GLint GLint | y
GLint GLint GLint GLint GLint GLint GLsizei | width
GLint GLint GLint GLint GLint GLint GLsizei GLsizei | height
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei | imageSize
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * | data
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLsizei | imageSize
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLsizei const GLvoid * | data
GLuint GLfloat * | val
bool | isTexture2DArraySupported
GLint | maxLayerCount
GLint | max2DSize
bool | isBlendColorSupported
bool | isBlendEquationSupported
bool | isBlendEquationSeparateSupported
bool | isSGIXMinMaxSupported
bool | isLogicOpSupported
GLfloat | green
GLfloat GLfloat | blue
GLfloat GLfloat GLfloat | alpha
GLenum | modeAlpha
GLenum | mode
GLenum | modeRGB
GLenum GLenum | modeAlpha
GLuint | buf
bool | isStencilWrapSupported
bool | isStencilTwoSidedSupported
bool | isOpenGL20Supported
bool | isSeparateStencilSupported
GLenum | sfail
GLenum GLenum | dpfail
GLenum GLenum GLenum | dppass
GLuint | mask
GLenum | func
GLenum GLint | ref
GLenum GLint GLuint | mask
GLenum | backfunc
GLboolean | red
GLboolean GLboolean | green
GLboolean GLboolean GLboolean | blue
GLboolean GLboolean GLboolean GLboolean | alpha
bool | isClampColorSupported
bool | isMultisampleSupported
bool | isMultisampleFilterHintSupported
GLboolean | invert
bool | isPointParametersSupported
bool | isPointSpriteSupported
bool | isPointSpriteModeSupported
bool | isPointSpriteCoordOriginSupported
GLint | param
GLfloat | param
const GLfloat * | params
bool | isFrameBufferObjectSupported
bool | isPackedDepthStencilSupported
bool | isMultisampledRenderToTextureSupported
bool | isInvalidateFramebufferSupported
| GLuint
const GLuint * | renderbuffers
GLuint | GLenum
GLuint | GLsizei
| GLsizei
const GLuint * | framebuffers
GLenum | attachment
GLenum GLuint | texture
GLenum GLuint GLint | level
GLenum GLuint GLint GLenum | face
| GLbitfield
const GLenum | GLenum
const GLenum GLint GLenum | pname
const GLenum GLint GLenum GLint | param
GLenum GLint | param
GLenum | shadertype
GLenum const GLchar * | name
GLenum GLuint | index
GLenum GLuint GLsizei | bufsize
GLenum GLuint GLsizei GLsizei * | length
GLenum GLuint GLsizei GLsizei GLchar * | name
GLenum GLuint GLenum | pname
GLenum GLuint GLenum GLint * | values
GLenum GLenum | pname
GLenum GLenum GLint * | values
GLsizei const GLuint * | indices
GLbitfield | flags
GLbitfield GLuint64 | timeout
GLenum GLsizei | bufSize
GLenum GLsizei GLsizei * | length
GLenum GLsizei GLsizei GLint * | values
const void * | indirect
const void GLsizei | drawcount
const void GLsizei GLsizei | stride
GLenum | type
GLenum const void * | indirect
GLenum const void GLsizei | drawcount
GLenum const void GLsizei GLsizei | stride
GLint GLint GLint GLint GLsizei GLsizei GLsizei GLboolean | commit
GLsizei const GLchar *const * | varyings
GLsizei const GLchar *const GLenum | bufferMode
GLuint GLsizei GLsizei GLsizei * | size
GLuint GLsizei GLsizei GLsizei GLenum * | type
GLuint GLsizei GLsizei GLsizei GLenum GLchar * | name
GLuint GLuint | stream
GLuint GLsizei | instancecount
GLuint GLuint GLsizei | instancecount
GLuint GLuint GLintptr GLsizei | size
GLenum GLint * | param
GLenum GLuint GLint * | param
GLenum GLuint GLint64 * | param
const GLuint * | handles
GLuint * | handles
bool | isVertexAttribBindingSupported
GLuint GLintptr | offset
GLuint GLintptr GLintptr | stride
GLuint | bindingindex
GLuint GLuint GLintptr GLsizei | stride
GLuint | attribindex
GLuint GLuint | bindingindex
GLint | size
GLint GLenum | type
GLint GLenum GLboolean | normalized
GLint GLenum GLboolean GLuint | relativeoffset
GLint GLenum GLuint | relativeoffset
GLuint GLint | size
GLuint GLint GLenum | type
GLuint GLint GLenum GLboolean | normalized
GLuint GLint GLenum GLboolean GLuint | relativeoffset
GLuint GLint GLenum GLuint | relativeoffset
const GLint * | first
const GLint const GLsizei * | count
const GLint const GLsizei GLsizei | primcount
const GLsizei * | count
const GLsizei GLenum | type
const GLsizei GLenum const void *const * | indices
const GLsizei GLenum const void *const GLsizei | drawcount
const GLsizei GLenum const void *const GLsizei const GLint * | basevertex
GLuint | start
GLuint GLuint | end
GLuint GLuint GLsizei | count
GLuint GLuint GLsizei GLenum | type
GLuint GLuint GLsizei GLenum const GLvoid * | indices
GLsizei GLenum const void * | indices
GLsizei GLenum const void GLint | basevertex
GLsizei GLenum const void GLsizei | primcount
GLsizei GLenum const void GLsizei GLint | basevertex
GLuint GLuint GLsizei GLenum const void * | indices
GLuint GLuint GLsizei GLenum const void GLint | basevertex
GLint GLsizei GLsizei | instancecount
GLint GLsizei GLsizei GLuint | baseinstance
GLsizei GLenum const void GLsizei | instancecount
GLsizei GLenum const void GLsizei GLuint | baseinstance
GLsizei GLenum const void GLsizei GLint GLuint | baseinstance
bool | isViewportArraySupported
GLsizei const GLfloat * | v
GLfloat GLfloat GLfloat | w
GLfloat GLfloat GLfloat GLfloat | h
GLsizei const GLint * | v
GLint | left
GLint GLint | bottom
GLint GLint GLsizei | width
GLint GLint GLsizei GLsizei | height
GLsizei const GLdouble * | v
GLdouble | n
GLdouble GLdouble | f
GLfloat | n
GLfloat GLfloat | f
GLuint GLfloat * | data
GLuint GLdouble * | data
GLuint int * | v
GLenum GLsizei | stride
GLenum GLsizei const GLvoid * | pointer
GLint | glMaxTextureCoords
GLint | glMaxTextureUnits
GLuint | name
GLuint GLsizei | length
GLuint GLsizei const GLchar * | label

## Protected Member Functions

virtual | ~GLExtensions ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Main GLExtensions class for managing OpenGL extensions per graphics context.

## Constructor & Destructor Documentation

## GLExtensions()

osg::GLExtensions::GLExtensions | ( | unsigned int | in_contextID | ) |

Referenced by Get(), and Set().

## ~GLExtensions()

virtual osg::GLExtensions::~GLExtensions | ( |  | ) |

protected virtual

## Member Function Documentation

## debugObjectLabel()

void osg::GLExtensions::debugObjectLabel | ( | GLenum | identifier,
|  | GLuint | name,
|  | const std::string & | label ) const

inline

convenience wrapper around glObjectLabel that calls glObjectLabel if it's supported and using std::string as a label parameter.

References GLenum, GLuint, label, and name.

## Get()

GLExtensions * osg::GLExtensions::Get | ( | unsigned int | in_contextID,
|  | bool | createIfNotInitalized )

static

Function to call to get the extension of a specified context. If the Exentsion object for that context has not yet been created then and the 'createIfNotInitalized' flag been set to false then returns NULL. If 'createIfNotInitalized' is true then the Extensions object is automatically created. However, in this case the extension object only be created with the graphics context associated with ContextID..

References GLExtensions().

## getAttribLocation()

bool osg::GLExtensions::getAttribLocation | ( | const char * | attribName,
|  | GLuint & | slot ) const

References GLuint.

## getCurrentProgram()

GLuint osg::GLExtensions::getCurrentProgram | ( |  | ) | const

References GLuint.

## getFragDataLocation()

bool osg::GLExtensions::getFragDataLocation | ( | const char * | fragDataName,
|  | GLuint & | slot ) const

References GLuint.

## getProgramInfoLog()

bool osg::GLExtensions::getProgramInfoLog | ( | GLuint | program,
|  | std::string & | result ) const

References GLuint.

## getShaderInfoLog()

bool osg::GLExtensions::getShaderInfoLog | ( | GLuint | shader,
|  | std::string & | result ) const

References GLuint, and shader.

## GLboolean() [1/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsBuffer | ) |

References buffer, and GLuint.

## GLboolean() [2/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsEnabledIndexedEXT | ) |

References GLenum, GLuint, index, and target.

## GLboolean() [3/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsImageHandleResident | ) |

References GLuint64(), and handle.

## GLboolean() [4/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsOcclusionQuery | ) |

References GLuint, and id.

## GLboolean() [5/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsProgram | ) |

References GLuint.

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## GLboolean() [6/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsQuery | ) |

References GLuint, and id.

## GLboolean() [7/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsSampler | ) |

References GLuint, and id.

## GLboolean() [8/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsShader | ) |

References GLuint, and shader.

## GLboolean() [9/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsSync | ) |

References GLsync().

## GLboolean() [10/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsTextureHandleResident | ) |

References GLuint64(), and handle.

## GLboolean() [11/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsTransformFeedback | ) |

References GLuint, and id.

## GLboolean() [12/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glIsVertexArray | ) |

References GLuint, and handle.

## GLboolean() [13/13]

osg::GLExtensions::GLboolean | ( | GL_APIENTRY * | glUnmapBuffer | ) |

References GLenum, and target.

## glBufferStorage()

GLvoid *GL_APIENTRY * osg::GLExtensions::glBufferStorage | ( | GLenum | target,
|  | GLintptr | size,
|  | const GLvoid * | data,
|  | GLbitfield | flags )

References data, flags, GLbitfield, glBufferStorage(), GLenum, size, and target.

Referenced by glBufferStorage().

## GLenum() [1/2]

GLuint * osg::GLExtensions::GLenum | ( | GL_APIENTRY * | glCheckFramebufferStatus | ) |

References GLenum.

## GLenum() [2/2]

osg::GLExtensions::GLenum | ( | GL_APIENTRY * | glClientWaitSync | ) |

References flags, GLbitfield, GLsync(), GLuint64(), and timeout.

## GLint() [1/5]

osg::GLExtensions::GLint | ( | GL_APIENTRY * | glGetAttribLocation | ) |

References GLuint, and name.

## GLint() [2/5]

osg::GLExtensions::GLint | ( | GL_APIENTRY * | glGetFragDataIndex | ) |

References GLuint, and name.

## GLint() [3/5]

osg::GLExtensions::GLint | ( | GL_APIENTRY * | glGetFragDataLocation | ) |

References GLuint, and name.

## GLint() [4/5]

osg::GLExtensions::GLint | ( | GL_APIENTRY * | glGetSubroutineUniformLocation | ) |

References GLenum, GLuint, name, and shadertype.

## GLint() [5/5]

osg::GLExtensions::GLint | ( | GL_APIENTRY * | glGetUniformLocation | ) |

References GLuint, and name.

## glMapBuffer()

GLvoid *GL_APIENTRY * osg::GLExtensions::glMapBuffer | ( | GLenum | target,
|  | GLenum | access )

References access, GLenum, glMapBuffer(), and target.

Referenced by glMapBuffer().

## glMapBufferRange()

GLvoid *GL_APIENTRY * osg::GLExtensions::glMapBufferRange | ( | GLenum | target,
|  | GLintptr | offset,
|  | GLsizeiptr | length,
|  | GLbitfield | access )

References access, GLbitfield, GLenum, glMapBufferRange(), length, offset, and target.

Referenced by glMapBufferRange().

## glNamedBufferStorage()

GLvoid *GL_APIENTRY * osg::GLExtensions::glNamedBufferStorage | ( | GLuint | buffer,
|  | GLsizei | size,
|  | const void * | data,
|  | GLbitfield | flags )

References buffer, data, flags, GLbitfield, glNamedBufferStorage(), GLsizei, GLuint, and size.

Referenced by glNamedBufferStorage().

## GLsync()

osg::GLExtensions::GLsync | ( | GL_APIENTRY * | glFenceSync | ) |

Referenced by GLboolean(), GLenum(), void(), and void().

## GLuint() [1/5]

osg::GLExtensions::GLuint | ( | GL_APIENTRY * | glCreateProgram | ) |

References void().

## GLuint() [2/5]

osg::GLExtensions::GLuint | ( | GL_APIENTRY * | glCreateShader | ) |

References GLenum, and type.

## GLuint() [3/5]

osg::GLExtensions::GLuint | ( | GL_APIENTRY * | glGetHandleARB | ) |

References GLenum, and pname.

## GLuint() [4/5]

osg::GLExtensions::GLuint | ( | GL_APIENTRY * | glGetSubroutineIndex | ) |

References GLenum, GLuint, name, and shadertype.

## GLuint() [5/5]

osg::GLExtensions::GLuint | ( | GL_APIENTRY * | glGetUniformBlockIndex | ) |

References GLuint, and uniformBlockName.

## GLuint64() [1/3]

osg::GLExtensions::GLuint64 | ( | GL_APIENTRY * | glGetImageHandle | ) |

## GLuint64() [2/3]

osg::GLExtensions::GLuint64 | ( | GL_APIENTRY * | glGetTextureHandle | ) |

References GLuint, and texture.

Referenced by GLboolean(), GLboolean(), GLenum(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## GLuint64() [3/3]

osg::GLExtensions::GLuint64 | ( | GL_APIENTRY * | glGetTextureSamplerHandle | ) |

References GLuint, sampler, and texture.

## isBindImageTextureSupported()

bool osg::GLExtensions::isBindImageTextureSupported | ( |  | ) | const

inline

## isCompressedTexImage2DSupported()

bool osg::GLExtensions::isCompressedTexImage2DSupported | ( |  | ) | const

inline

## isCompressedTexImage3DSupported()

bool osg::GLExtensions::isCompressedTexImage3DSupported | ( |  | ) | const

inline

## isCompressedTexSubImage2DSupported()

bool osg::GLExtensions::isCompressedTexSubImage2DSupported | ( |  | ) | const

inline

## isCompressedTexSubImage3DSupported()

bool osg::GLExtensions::isCompressedTexSubImage3DSupported | ( |  | ) | const

inline

## isNonPowerOfTwoTextureSupported()

bool osg::GLExtensions::isNonPowerOfTwoTextureSupported | ( | GLenum | filter | ) | const

inline

References GLenum, isNonPowerOfTwoTextureMipMappedSupported, and isNonPowerOfTwoTextureNonMipMappedSupported.

## isRenderbufferMultisampleCoverageSupported()

bool osg::GLExtensions::isRenderbufferMultisampleCoverageSupported | ( |  | ) | const

inline

## isRenderbufferMultisampleSupported()

bool osg::GLExtensions::isRenderbufferMultisampleSupported | ( |  | ) | const

inline

## isTexStorage2DSupported()

bool osg::GLExtensions::isTexStorage2DSupported | ( |  | ) | const

inline

## Set()

void osg::GLExtensions::Set | ( | unsigned int | in_contextID,
|  | GLExtensions * | extensions )

static

allows users to override the extensions across graphics contexts. typically used when you have different extensions supported across graphics pipes but need to ensure that they all use the same low common denominator extensions.

References GLExtensions().

## void() [1/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glActiveStencilFace | ) |

References face, and GLenum.

## void() [2/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glActiveTexture | ) |

References GLenum, and texture.

## void() [3/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glAttachShader | ) |

## void() [4/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBeginConditionalRender | ) |

References GLenum, GLuint, id, and mode.

## void() [5/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBeginOcclusionQuery | ) |

References GLuint, and id.

## void() [6/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBeginQuery | ) |

## void() [7/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBeginQueryIndexed | ) |

## void() [8/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBeginTransformFeedback | ) |

References GLenum.

## void() [9/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindAttribLocation | ) |

## void() [10/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindBuffer | ) |

## void() [11/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindBufferBase | ) |

References buffer, GLenum, GLuint, index, and target.

## void() [12/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindBufferRange | ) |

## void() [13/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindFragDataLocation | ) |

## void() [14/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindFragDataLocationIndexed | ) |

## void() [15/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindFramebuffer | ) |

References GLenum, and GLuint.

## void() [16/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindImageTexture | ) |

## void() [17/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindProgram | ) |

References GLenum, GLuint, id, and target.

## void() [18/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindRenderbuffer | ) |

## void() [19/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindSampler | ) |

References GLuint, and sampler.

## void() [20/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindTransformFeedback | ) |

References GLenum, GLuint, id, and target.

## void() [21/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindVertexArray | ) |

References GLuint, and handle.

## void() [22/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBindVertexBuffer | ) |

## void() [23/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendColor | ) |

## void() [24/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendEquation | ) |

References GLenum, and mode.

## void() [25/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendEquationi | ) |

## void() [26/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendEquationSeparate | ) |

## void() [27/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendEquationSeparatei | ) |

## void() [28/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendFunci | ) |

## void() [29/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendFuncSeparate | ) |

## void() [30/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlendFuncSeparatei | ) |

## void() [31/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBlitFramebuffer | ) |

## void() [32/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBufferData | ) |

## void() [33/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glBufferSubData | ) |

## void() [34/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glClampColor | ) |

References GLenum, mode, and target.

## void() [35/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glClientActiveTexture | ) |

References GLenum, and texture.

## void() [36/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glClipControl | ) |

## void() [37/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glColorMaski | ) |

## void() [38/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCompileShader | ) |

References GLuint, and shader.

## void() [39/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCompressedTexImage2D | ) |

## void() [40/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCompressedTexImage3D | ) |

## void() [41/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCompressedTexSubImage2D | ) |

## void() [42/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCompressedTexSubImage3D | ) |

## void() [43/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCopyTexSubImage3D | ) |

## void() [44/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glCreateTransformFeedbacks | ) |

References GLsizei, GLuint, ids, and n.

## void() [45/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteBuffers | ) |

## void() [46/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteFramebuffers | ) |

## void() [47/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteObjectARB | ) |

References GLuint.

## void() [48/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteOcclusionQueries | ) |

## void() [49/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteProgram | ) |

References GLuint.

## void() [50/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeletePrograms | ) |

References GLsizei, GLuint, n, and programs.

## void() [51/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteQueries | ) |

References GLsizei, GLuint, ids, and n.

## void() [52/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteRenderbuffers | ) |

## void() [53/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteSamplers | ) |

## void() [54/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteShader | ) |

References GLuint, and shader.

## void() [55/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteSync | ) |

References GLsync().

## void() [56/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteTransformFeedbacks | ) |

References GLsizei, GLuint, ids, and n.

## void() [57/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDeleteVertexArrays | ) |

## void() [58/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDepthRangeArrayv | ) |

## void() [59/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDepthRangeIndexed | ) |

## void() [60/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDepthRangeIndexedf | ) |

## void() [61/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDetachShader | ) |

References GLuint, and shader.

## void() [62/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDisablei | ) |

References buf, GLenum, and GLuint.

## void() [63/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDisableIndexedEXT | ) |

References GLenum, GLuint, index, and target.

## void() [64/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDisableVertexAttribArray | ) |

References GLuint, and index.

## void() [65/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDispatchCompute | ) |

## void() [66/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawArraysIndirect | ) |

## void() [67/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawArraysInstanced | ) |

## void() [68/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawArraysInstancedBaseInstance | ) |

## void() [69/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawBuffers | ) |

Referenced by GLuint(), void(), void(), void(), and void().

## void() [70/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsBaseVertex | ) |

## void() [71/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsIndirect | ) |

## void() [72/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsInstanced | ) |

## void() [73/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsInstancedBaseInstance | ) |

## void() [74/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsInstancedBaseVertex | ) |

## void() [75/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawElementsInstancedBaseVertexBaseInstance | ) |

## void() [76/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawRangeElements | ) |

## void() [77/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawRangeElementsBaseVertex | ) |

## void() [78/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawTransformFeedback | ) |

References GLenum, GLuint, id, and mode.

## void() [79/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawTransformFeedbackInstanced | ) |

## void() [80/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawTransformFeedbackStream | ) |

## void() [81/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glDrawTransformFeedbackStreamInstanced | ) |

## void() [82/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEnablei | ) |

## void() [83/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEnableIndexedEXT | ) |

References GLenum, GLuint, index, and target.

## void() [84/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEnableVertexAttribArray | ) |

References GLuint, and index.

## void() [85/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEndConditionalRender | ) |

References void().

## void() [86/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEndOcclusionQuery | ) |

## void() [87/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEndQuery | ) |

References GLenum, and target.

## void() [88/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEndQueryIndexed | ) |

References GLenum, GLuint, index, and target.

## void() [89/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glEndTransformFeedback | ) |

References void().

## void() [90/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFogCoordfv | ) | const

References coord.

## void() [91/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFogCoordPointer | ) |

References GLenum, GLsizei, pointer, stride, and type.

## void() [92/374]

const GLenum GLint * osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferParameteri | ) |

## void() [93/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferRenderbuffer | ) |

References GLenum, and GLuint.

## void() [94/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTexture | ) |

References GLenum, and GLint.

## void() [95/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTexture1D | ) |

References GLenum, GLint, and GLuint.

## void() [96/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTexture2D | ) |

References GLenum, GLint, and GLuint.

## void() [97/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTexture2DMultisample | ) |

References GLenum, GLint, GLsizei, and GLuint.

## void() [98/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTexture3D | ) |

References GLenum, GLint, and GLuint.

## void() [99/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTextureFace | ) |

## void() [100/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glFramebufferTextureLayer | ) |

References GLenum, GLint, and GLuint.

## void() [101/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenBuffers | ) |

## void() [102/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenerateMipmap | ) |

References GLenum.

## void() [103/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenFramebuffers | ) |

References GLsizei, and GLuint.

## void() [104/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenOcclusionQueries | ) |

## void() [105/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenPrograms | ) |

## void() [106/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenQueries | ) |

References GLsizei, GLuint, ids, and n.

## void() [107/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenRenderbuffers | ) |

References GLsizei, and GLuint.

## void() [108/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenSamplers | ) |

## void() [109/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenTransformFeedbacks | ) |

References GLsizei, GLuint, ids, and n.

## void() [110/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGenVertexArrays | ) |

## void() [111/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveAtomicCounterBufferiv | ) |

## void() [112/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveAttrib | ) |

## void() [113/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveSubroutineName | ) |

References bufsize, GLenum, GLsizei, GLuint, index, length, name, and shadertype.

## void() [114/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveSubroutineUniformiv | ) |

## void() [115/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveSubroutineUniformName | ) |

## void() [116/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveUniform | ) |

References bufSize, GLenum, GLint, GLsizei, GLuint, index, length, name, size, and type.

## void() [117/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveUniformBlockiv | ) |

## void() [118/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveUniformBlockName | ) |

## void() [119/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveUniformName | ) |

## void() [120/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetActiveUniformsiv | ) |

## void() [121/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetAttachedShaders | ) |

## void() [122/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetBufferParameteriv | ) |

References GLenum, GLint, params, pname, and target.

## void() [123/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetBufferPointerv | ) |

## void() [124/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetBufferSubData | ) |

## void() [125/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetCompressedTexImage | ) |

## void() [126/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetDoublei_v | ) |

## void() [127/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetFloati_v | ) |

## void() [128/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetFramebufferParameteriv | ) |

References GLenum, GLint, params, pname, and target.

## void() [129/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetInfoLogARB | ) |

References bufSize, GLsizei, GLuint, infoLog, and length.

## void() [130/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetInteger64v | ) |

## void() [131/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetIntegerIndexedvEXT | ) |

## void() [132/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetMultisamplefv | ) |

## void() [133/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetNamedFramebufferParameteriv | ) |

References GLenum, GLint, GLuint, params, and pname.

## void() [134/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetObjectParameterivARB | ) |

References GLenum, GLint, GLuint, params, and pname.

## void() [135/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetOcclusionQueryiv | ) |

References GLenum, GLint, GLuint, id, params, and pname.

## void() [136/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetOcclusionQueryuiv | ) |

## void() [137/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetProgramBinary | ) |

## void() [138/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetProgramInfoLog | ) |

## void() [139/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetProgramiv | ) |

## void() [140/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetProgramStageiv | ) |

## void() [141/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetQueryiv | ) |

References GLenum, GLint, params, pname, and target.

## void() [142/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetQueryObjectiv | ) |

References GLenum, GLint, GLuint, id, params, and pname.

## void() [143/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetQueryObjectui64v | ) |

## void() [144/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetQueryObjectuiv | ) |

References GLenum, GLuint, id, params, and pname.

## void() [145/374]

const GLenum * osg::GLExtensions::void | ( | GL_APIENTRY * | glGetRenderbufferParameteriv | ) |

## void() [146/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetSamplerParameterfv | ) |

References GLenum, GLuint, param, sampler, and value.

## void() [147/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetSamplerParameterIiv | ) |

References GLenum, GLint, GLuint, param, sampler, and value.

## void() [148/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetSamplerParameterIuiv | ) |

References GLenum, GLuint, param, sampler, and value.

## void() [149/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetSamplerParameteriv | ) |

References GLenum, GLint, GLuint, param, sampler, and value.

## void() [150/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetShaderInfoLog | ) |

References bufSize, GLsizei, GLuint, infoLog, length, and shader.

## void() [151/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetShaderiv | ) |

References GLenum, GLint, GLuint, params, pname, and shader.

## void() [152/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetShaderSource | ) |

## void() [153/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetSynciv | ) |

## void() [154/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetTransformFeedbacki64_v | ) |

## void() [155/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetTransformFeedbacki_v | ) |

## void() [156/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetTransformFeedbackiv | ) |

## void() [157/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetTransformFeedbackVarying | ) |

## void() [158/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetUniformfv | ) |

## void() [159/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetUniformIndices | ) |

## void() [160/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetUniformiv | ) |

## void() [161/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetUniformSubroutineuiv | ) |

References GLenum, GLint, GLuint, location, params, and shadertype.

## void() [162/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetUniformuiv | ) |

## void() [163/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetVertexAttribdv | ) |

## void() [164/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetVertexAttribfv | ) |

## void() [165/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetVertexAttribiv | ) |

References GLenum, GLint, GLuint, index, params, and pname.

## void() [166/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glGetVertexAttribPointerv | ) |

## void() [167/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glInvalidateFramebuffer | ) |

References GLenum, and GLsizei.

## void() [168/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glLinkProgram | ) |

References GLuint.

## void() [169/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMakeImageHandleNonResident | ) |

References GLuint64(), and handle.

## void() [170/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMakeImageHandleResident | ) |

References GLuint64(), and handle.

## void() [171/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMakeTextureHandleNonResident | ) |

References GLuint64(), and handle.

## void() [172/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMakeTextureHandleResident | ) |

References GLuint64(), and handle.

## void() [173/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMemoryBarrier | ) |

References GLbitfield.

## void() [174/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiDrawArrays | ) |

## void() [175/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiDrawArraysIndirect | ) |

## void() [176/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiDrawElements | ) |

## void() [177/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiDrawElementsBaseVertex | ) |

## void() [178/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiDrawElementsIndirect | ) |

## void() [179/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord1d | ) |

## void() [180/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord1dv | ) |

## void() [181/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord1f | ) |

## void() [182/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord1fv | ) |

## void() [183/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord2dv | ) |

References coord, GLenum, and target.

## void() [184/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord2fv | ) |

References coord, GLenum, and target.

## void() [185/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord3dv | ) |

References coord, GLenum, and target.

## void() [186/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord3fv | ) |

References coord, GLenum, and target.

## void() [187/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord4dv | ) |

References coord, GLenum, and target.

## void() [188/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord4f | ) |

References GLenum, target, w, x, y, and z.

## void() [189/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glMultiTexCoord4fv | ) |

References coord, GLenum, and target.

## void() [190/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glNamedFramebufferParameteri | ) |

## void() [191/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glObjectLabel | ) |

## void() [192/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPatchParameterfv | ) |

## void() [193/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPatchParameteri | ) |

## void() [194/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPauseTransformFeedback | ) |

References void().

## void() [195/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPointParameterf | ) |

## void() [196/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPointParameterfv | ) |

## void() [197/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPointParameteri | ) |

## void() [198/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glPrimitiveRestartIndex | ) |

References GLuint, and index.

## void() [199/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramBinary | ) |

## void() [200/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramLocalParameter4fv | ) |

## void() [201/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramParameteri | ) |

## void() [202/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramString | ) |

## void() [203/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramUniformHandleui64 | ) |

## void() [204/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProgramUniformHandleuiv64 | ) |

## void() [205/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glProvokingVertex | ) |

References GLenum, and mode.

## void() [206/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glQueryCounter | ) |

## void() [207/374]

GLuint * osg::GLExtensions::void | ( | GL_APIENTRY * | glRenderbufferStorage | ) |

## void() [208/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glRenderbufferStorageMultisample | ) |

## void() [209/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glRenderbufferStorageMultisampleCoverageNV | ) |

References GLenum, and GLsizei.

## void() [210/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glResumeTransformFeedback | ) |

References void().

## void() [211/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSampleCoverage | ) |

## void() [212/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSampleMaski | ) |

## void() [213/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameterf | ) |

## void() [214/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameterfv | ) |

## void() [215/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameteri | ) |

## void() [216/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameterIiv | ) |

References GLenum, GLint, GLuint, param, sampler, and value.

## void() [217/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameterIuiv | ) |

## void() [218/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSamplerParameteriv | ) |

## void() [219/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glScissorArrayv | ) |

## void() [220/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glScissorIndexed | ) |

## void() [221/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glScissorIndexedv | ) |

References GLint, GLuint, index, and v.

## void() [222/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSecondaryColor3fv | ) | const

References coord.

## void() [223/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSecondaryColor3ubv | ) | const

References coord.

## void() [224/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glSecondaryColorPointer | ) |

## void() [225/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glShaderSource | ) |

## void() [226/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glStencilFuncSeparate | ) |

## void() [227/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glStencilFuncSeparateATI | ) |

## void() [228/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glStencilMaskSeparate | ) |

## void() [229/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glStencilOpSeparate | ) |

## void() [230/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexBuffer | ) |

## void() [231/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexImage2DMultisample | ) |

## void() [232/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexImage3D | ) |

## void() [233/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexImage3DMultisample | ) |

References depth, fixedsamplelocations, GLboolean(), GLenum, GLsizei, height, internalformat, samples, target, and width.

## void() [234/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexPageCommitment | ) |

## void() [235/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexParameterIiv | ) |

## void() [236/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexParameterIuiv | ) |

## void() [237/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexStorage1D | ) |

immutable texture storage and texture view

## void() [238/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexStorage2D | ) |

## void() [239/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexStorage2DMultisample | ) |

## void() [240/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexStorage3D | ) |

## void() [241/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexStorage3DMultisample | ) |

## void() [242/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTexSubImage3D | ) |

## void() [243/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTextureStorage1D | ) |

References GLenum, GLsizei, GLuint, internalformat, numMipmapLevels, texture, and width.

## void() [244/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTextureStorage2D | ) |

References GLenum, GLsizei, GLuint, height, internalformat, numMipmapLevels, texture, and width.

## void() [245/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTextureStorage3D | ) |

References depth, GLenum, GLsizei, GLuint, height, internalformat, numMipmapLevels, texture, and width.

## void() [246/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTextureView | ) |

## void() [247/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTransformFeedbackBufferBase | ) |

References buffer, GLuint, and index.

## void() [248/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTransformFeedbackBufferRange | ) |

## void() [249/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glTransformFeedbackVaryings | ) |

## void() [250/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1d | ) |

## void() [251/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1dv | ) |

## void() [252/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1f | ) |

## void() [253/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1fv | ) |

## void() [254/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1i | ) |

## void() [255/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1i64 | ) |

References GLint, location, and x.

## void() [256/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1i64v | ) |

## void() [257/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1iv | ) |

## void() [258/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1ui | ) |

## void() [259/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1ui64 | ) |

References GLint, GLuint64(), location, and x.

## void() [260/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1ui64v | ) |

## void() [261/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform1uiv | ) |

## void() [262/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2d | ) |

## void() [263/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2dv | ) |

References count, GLint, GLsizei, location, and value.

## void() [264/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2f | ) |

## void() [265/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2fv | ) |

References count, GLint, GLsizei, location, and value.

## void() [266/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2i | ) |

## void() [267/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2i64 | ) |

References GLint, location, x, and y.

## void() [268/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2i64v | ) |

References count, GLint, GLsizei, location, and value.

## void() [269/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2iv | ) |

References count, GLint, GLsizei, location, and value.

## void() [270/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2ui | ) |

## void() [271/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2ui64 | ) |

References GLint, GLuint64(), location, x, and y.

## void() [272/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2ui64v | ) |

References count, GLint, GLsizei, GLuint64(), location, and value.

## void() [273/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform2uiv | ) |

References count, GLint, GLsizei, GLuint, location, and value.

## void() [274/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3d | ) |

## void() [275/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3dv | ) |

References count, GLint, GLsizei, location, and value.

## void() [276/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3f | ) |

## void() [277/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3fv | ) |

References count, GLint, GLsizei, location, and value.

## void() [278/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3i | ) |

## void() [279/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3i64 | ) |

References GLint, location, x, y, and z.

## void() [280/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3i64v | ) |

References count, GLint, GLsizei, location, and value.

## void() [281/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3iv | ) |

References count, GLint, GLsizei, location, and value.

## void() [282/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3ui | ) |

## void() [283/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3ui64 | ) |

References GLint, GLuint64(), location, x, y, and z.

## void() [284/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3ui64v | ) |

References count, GLint, GLsizei, GLuint64(), location, and value.

## void() [285/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform3uiv | ) |

References count, GLint, GLsizei, GLuint, location, and value.

## void() [286/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4d | ) |

## void() [287/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4dv | ) |

References count, GLint, GLsizei, location, and value.

## void() [288/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4f | ) |

## void() [289/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4fv | ) |

References count, GLint, GLsizei, location, and value.

## void() [290/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4i | ) |

## void() [291/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4i64 | ) |

References GLint, location, w, x, y, and z.

## void() [292/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4i64v | ) |

References count, GLint, GLsizei, location, and value.

## void() [293/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4iv | ) |

References count, GLint, GLsizei, location, and value.

## void() [294/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4ui | ) |

## void() [295/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4ui64 | ) |

References GLint, GLuint64(), location, w, x, y, and z.

## void() [296/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4ui64v | ) |

References count, GLint, GLsizei, GLuint64(), location, and value.

## void() [297/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniform4uiv | ) |

References count, GLint, GLsizei, GLuint, location, and value.

## void() [298/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformBlockBinding | ) |

## void() [299/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformHandleui64 | ) |

## void() [300/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformHandleuiv64 | ) |

## void() [301/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2dv | ) |

## void() [302/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2fv | ) |

## void() [303/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2x3dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [304/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2x3fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [305/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2x4dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [306/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix2x4fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [307/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [308/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [309/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3x2dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [310/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3x2fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [311/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3x4dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [312/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix3x4fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [313/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [314/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [315/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4x2dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [316/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4x2fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [317/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4x3dv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [318/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformMatrix4x3fv | ) |

References count, GLboolean(), GLint, GLsizei, location, transpose, and value.

## void() [319/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUniformSubroutinesuiv | ) |

## void() [320/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glUseProgram | ) |

References GLuint.

## void() [321/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glValidateProgram | ) |

References GLuint.

## void() [322/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexArrayAttribBinding | ) |

## void() [323/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexArrayAttribFormat | ) |

## void() [324/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexArrayAttribIFormat | ) |

## void() [325/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexArrayAttribLFormat | ) |

References attribindex, GLenum, GLint, GLuint, relativeoffset, size, and type.

## void() [326/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexArrayVertexBuffer | ) |

## void() [327/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1d | ) |

References GLuint, index, and x.

## void() [328/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1dv | ) |

## void() [329/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1f | ) |

References GLuint, index, and x.

## void() [330/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1fv | ) |

## void() [331/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1s | ) |

References GLuint, index, and x.

## void() [332/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib1sv | ) |

## void() [333/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2d | ) |

References GLuint, index, x, and y.

## void() [334/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2dv | ) |

References GLuint, index, and v.

## void() [335/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2f | ) |

References GLuint, index, x, and y.

## void() [336/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2fv | ) |

References GLuint, index, and v.

## void() [337/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2s | ) |

References GLuint, index, x, and y.

## void() [338/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib2sv | ) |

References GLuint, index, and v.

## void() [339/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3d | ) |

References GLuint, index, x, y, and z.

## void() [340/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3dv | ) |

References GLuint, index, and v.

## void() [341/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3f | ) |

References GLuint, index, x, y, and z.

## void() [342/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3fv | ) |

References GLuint, index, and v.

## void() [343/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3s | ) |

References GLuint, index, x, y, and z.

## void() [344/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib3sv | ) |

References GLuint, index, and v.

## void() [345/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4bv | ) |

References GLuint, index, and v.

## void() [346/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4d | ) |

References GLuint, index, w, x, y, and z.

## void() [347/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4dv | ) |

References GLuint, index, and v.

## void() [348/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4f | ) |

References GLuint, index, w, x, y, and z.

## void() [349/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4fv | ) |

References GLuint, index, and v.

## void() [350/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4iv | ) |

References GLint, GLuint, index, and v.

## void() [351/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nbv | ) |

## void() [352/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Niv | ) |

## void() [353/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nsv | ) |

References GLuint, index, and v.

## void() [354/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nub | ) |

References GLuint, index, w, x, y, and z.

## void() [355/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nubv | ) |

## void() [356/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nuiv | ) |

## void() [357/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4Nusv | ) |

## void() [358/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4s | ) |

References GLuint, index, w, x, y, and z.

## void() [359/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4sv | ) |

References GLuint, index, and v.

## void() [360/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4ubv | ) |

References GLuint, index, and v.

## void() [361/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4uiv | ) |

References GLuint, index, and v.

## void() [362/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttrib4usv | ) |

References GLuint, index, and v.

## void() [363/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribBinding | ) |

References attribindex, bindingindex, and GLuint.

## void() [364/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribDivisor | ) |

## void() [365/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribFormat | ) |

## void() [366/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribIFormat | ) |

## void() [367/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribIPointer | ) |

## void() [368/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribLFormat | ) |

References attribindex, GLenum, GLint, GLuint, relativeoffset, size, and type.

## void() [369/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribLPointer | ) |

References GLenum, GLint, GLsizei, pointer, and stride.

## void() [370/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glVertexAttribPointer | ) |

## void() [371/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glViewportArrayv | ) |

## void() [372/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glViewportIndexedf | ) |

## void() [373/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glViewportIndexedfv | ) |

References GLuint, index, and v.

## void() [374/374]

osg::GLExtensions::void | ( | GL_APIENTRY * | glWaitSync | ) |

References flags, GLbitfield, GLsync(), GLuint64(), and timeout.

## Member Data Documentation

## access

GLuint GLint GLboolean GLint GLenum osg::GLExtensions::access

Referenced by glMapBuffer(), and glMapBufferRange().

## alpha [1/2]

GLboolean GLboolean GLboolean GLboolean osg::GLExtensions::alpha

## alpha [2/2]

GLfloat GLfloat GLfloat osg::GLExtensions::alpha

## areTessellationShadersSupported

bool osg::GLExtensions::areTessellationShadersSupported

## attachment

GLenum osg::GLExtensions::attachment

## attribindex

GLuint osg::GLExtensions::attribindex

Referenced by void(), void(), and void().

## backfunc

GLenum osg::GLExtensions::backfunc

## baseinstance [1/3]

GLsizei GLenum const void GLsizei GLint GLuint osg::GLExtensions::baseinstance

## baseinstance [2/3]

GLsizei GLenum const void GLsizei GLuint osg::GLExtensions::baseinstance

## baseinstance [3/3]

GLint GLsizei GLsizei GLuint osg::GLExtensions::baseinstance

## basevertex [1/4]

GLuint GLuint GLsizei GLenum const void GLint osg::GLExtensions::basevertex

## basevertex [2/4]

GLsizei GLenum const void GLsizei GLint osg::GLExtensions::basevertex

## basevertex [3/4]

GLsizei GLenum const void GLint osg::GLExtensions::basevertex

## basevertex [4/4]

GLsizei GLenum const void GLsizei GLint osg::GLExtensions::basevertex

## binary [1/2]

GLenum const GLvoid* osg::GLExtensions::binary

## binary [2/2]

GLsizei GLsizei GLenum GLvoid* osg::GLExtensions::binary

## binaryFormat [1/2]

GLenum osg::GLExtensions::binaryFormat

## binaryFormat [2/2]

GLsizei GLsizei GLenum* osg::GLExtensions::binaryFormat

## bindingindex [1/2]

GLuint GLuint osg::GLExtensions::bindingindex

## bindingindex [2/2]

GLuint osg::GLExtensions::bindingindex

Referenced by void().

## blue [1/2]

GLboolean GLboolean GLboolean osg::GLExtensions::blue

## blue [2/2]

GLfloat GLfloat osg::GLExtensions::blue

## border [1/2]

GLint GLenum GLsizei GLsizei GLsizei GLint osg::GLExtensions::border

## border [2/2]

GLint GLenum GLsizei GLsizei GLsizei GLint osg::GLExtensions::border

## bottom

GLint GLint osg::GLExtensions::bottom

## buf

GLuint osg::GLExtensions::buf

Referenced by void().

## buffer [1/3]

GLenum GLuint osg::GLExtensions::buffer

## buffer [2/3]

GLuint GLuint osg::GLExtensions::buffer

## buffer [3/3]

GLuint GLuint osg::GLExtensions::buffer

Referenced by GLboolean(), glNamedBufferStorage(), void(), and void().

## bufferIndex

GLuint osg::GLExtensions::bufferIndex

## bufferMode

GLsizei const GLchar* const GLenum osg::GLExtensions::bufferMode

## buffers [1/2]

const GLuint* osg::GLExtensions::buffers

## buffers [2/2]

GLuint* osg::GLExtensions::buffers

## bufs

const GLenum* osg::GLExtensions::bufs

## bufSize [1/3]

GLenum GLsizei osg::GLExtensions::bufSize

## bufSize [2/3]

GLsizei osg::GLExtensions::bufSize

## bufSize [3/3]

GLuint GLsizei osg::GLExtensions::bufSize

Referenced by void(), void(), and void().

## bufsize

GLenum GLuint GLsizei osg::GLExtensions::bufsize

Referenced by void().

## color

GLuint osg::GLExtensions::color

## colorNumber

GLuint osg::GLExtensions::colorNumber

## commit

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLboolean osg::GLExtensions::commit

## contextID

unsigned int osg::GLExtensions::contextID

## coord [1/4]

const GLdouble* osg::GLExtensions::coord

## coord [2/4]

GLdouble osg::GLExtensions::coord

## coord [3/4]

const GLfloat* osg::GLExtensions::coord

## coord [4/4]

const GLdouble * osg::GLExtensions::coord

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), and void().

## count [1/6]

GLuint GLuint GLsizei osg::GLExtensions::count

## count [2/6]

const GLsizei* osg::GLExtensions::count

## count [3/6]

const GLint const GLsizei* osg::GLExtensions::count

## count [4/6]

GLint GLsizei osg::GLExtensions::count

## count [5/6]

GLsizei osg::GLExtensions::count

## count [6/6]

GLsizei osg::GLExtensions::count

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## data [1/12]

GLuint GLdouble* osg::GLExtensions::data

## data [2/12]

GLuint GLfloat* osg::GLExtensions::data

## data [3/12]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLsizei const GLvoid* osg::GLExtensions::data

## data [4/12]

GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid* osg::GLExtensions::data

## data [5/12]

GLenum const GLuint* osg::GLExtensions::data

## data [6/12]

GLenum const GLint* osg::GLExtensions::data

## data [7/12]

GLint GLvoid* osg::GLExtensions::data

## data [8/12]

GLint GLint GLint GLsizei GLsizei GLenum GLsizei const GLvoid* osg::GLExtensions::data

## data [9/12]

GLint GLenum GLsizei GLsizei GLint GLsizei const GLvoid* osg::GLExtensions::data

## data [10/12]

GLintptr GLsizeiptr GLvoid* osg::GLExtensions::data

## data [11/12]

GLintptr GLsizeiptr const GLvoid* osg::GLExtensions::data

## data [12/12]

GLsizeiptr const GLvoid* osg::GLExtensions::data

Referenced by glBufferStorage(), and glNamedBufferStorage().

## depth [1/3]

GLint GLint GLint GLint GLsizei GLsizei GLsizei osg::GLExtensions::depth

## depth [2/3]

GLint GLenum GLsizei GLsizei GLsizei osg::GLExtensions::depth

## depth [3/3]

GLint GLint GLint GLint GLsizei GLsizei GLsizei osg::GLExtensions::depth

Referenced by void(), and void().

## depthMode

GLenum osg::GLExtensions::depthMode

## dfactorAlpha [1/2]

GLenum GLenum GLenum GLenum osg::GLExtensions::dfactorAlpha

## dfactorAlpha [2/2]

GLenum GLenum GLenum osg::GLExtensions::dfactorAlpha

## dfactorRGB [1/2]

GLenum GLenum osg::GLExtensions::dfactorRGB

## dfactorRGB [2/2]

GLenum osg::GLExtensions::dfactorRGB

## divisor

GLuint osg::GLExtensions::divisor

## dpfail

GLenum GLenum osg::GLExtensions::dpfail

## dppass

GLenum GLenum GLenum osg::GLExtensions::dppass

## drawcount [1/3]

const GLsizei GLenum const void* const GLsizei osg::GLExtensions::drawcount

## drawcount [2/3]

GLenum const void GLsizei osg::GLExtensions::drawcount

## drawcount [3/3]

const GLsizei GLenum const void *const GLsizei osg::GLExtensions::drawcount

## dst

GLenum GLenum osg::GLExtensions::dst

## end

GLuint GLuint osg::GLExtensions::end

## f [1/2]

GLfloat GLfloat osg::GLExtensions::f

## f [2/2]

GLdouble GLdouble osg::GLExtensions::f

## face

GLenum GLuint GLint GLenum osg::GLExtensions::face

Referenced by void().

## first [1/2]

const GLint* osg::GLExtensions::first

## first [2/2]

GLint osg::GLExtensions::first

## fixedsamplelocations [1/3]

GLsizei GLint GLsizei GLsizei GLboolean osg::GLExtensions::fixedsamplelocations

## fixedsamplelocations [2/3]

GLsizei GLenum GLsizei GLsizei GLsizei GLboolean osg::GLExtensions::fixedsamplelocations

## fixedsamplelocations [3/3]

GLsizei GLenum GLsizei GLsizei GLsizei GLboolean osg::GLExtensions::fixedsamplelocations

Referenced by void().

## flags

GLbitfield osg::GLExtensions::flags

Referenced by glBufferStorage(), GLenum(), glNamedBufferStorage(), and void().

## format [1/6]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum osg::GLExtensions::format

## format [2/6]

GLint GLenum GLsizei GLsizei GLsizei GLint GLenum osg::GLExtensions::format

## format [3/6]

GLuint GLint GLboolean GLint GLenum GLenum osg::GLExtensions::format

## format [4/6]

GLint GLint GLint GLsizei GLsizei GLenum osg::GLExtensions::format

## format [5/6]

GLenum osg::GLExtensions::format

## format [6/6]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum osg::GLExtensions::format

## framebuffers

const GLuint* osg::GLExtensions::framebuffers

## func

GLenum osg::GLExtensions::func

## GLbitfield

osg::GLExtensions::GLbitfield

Referenced by glBufferStorage(), GLenum(), glMapBufferRange(), glNamedBufferStorage(), void(), and void().

## GLenum [1/3]

const GLenum osg::GLExtensions::GLenum

## GLenum [2/3]

GLuint osg::GLExtensions::GLenum

## GLenum [3/3]

osg::GLExtensions::GLenum

Referenced by debugObjectLabel(), GLboolean(), GLboolean(), glBufferStorage(), GLenum(), GLint(), glMapBuffer(), glMapBufferRange(), GLuint(), GLuint(), GLuint(), isNonPowerOfTwoTextureSupported(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## GLint

osg::GLExtensions::GLint

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## glMaxTextureCoords

GLint osg::GLExtensions::glMaxTextureCoords

## glMaxTextureUnits

GLint osg::GLExtensions::glMaxTextureUnits

## GLsizei [1/2]

osg::GLExtensions::GLsizei

## GLsizei [2/2]

GLuint osg::GLExtensions::GLsizei

Referenced by glNamedBufferStorage(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## glslLanguageVersion

float osg::GLExtensions::glslLanguageVersion

## GLuint

osg::GLExtensions::GLuint

Referenced by debugObjectLabel(), getAttribLocation(), getCurrentProgram(), getFragDataLocation(), getProgramInfoLog(), getShaderInfoLog(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLboolean(), GLint(), GLint(), GLint(), GLint(), GLint(), glNamedBufferStorage(), GLuint(), GLuint(), GLuint64(), GLuint64(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## glVersion

float osg::GLExtensions::glVersion

## green [1/2]

GLboolean GLboolean osg::GLExtensions::green

## green [2/2]

GLfloat osg::GLExtensions::green

## h

GLfloat GLfloat GLfloat GLfloat osg::GLExtensions::h

## handle [1/2]

GLint GLuint64 osg::GLExtensions::handle

## handle [2/2]

GLuint64 osg::GLExtensions::handle

Referenced by GLboolean(), GLboolean(), GLboolean(), void(), void(), void(), void(), and void().

## handles [1/4]

GLuint* osg::GLExtensions::handles

## handles [2/4]

const GLuint* osg::GLExtensions::handles

## handles [3/4]

GLint GLsizei GLuint64* osg::GLExtensions::handles

## handles [4/4]

GLsizei GLuint64* osg::GLExtensions::handles

## height [1/7]

GLint GLint GLsizei GLsizei osg::GLExtensions::height

## height [2/7]

GLint GLint GLint GLint GLint GLint GLsizei GLsizei osg::GLExtensions::height

## height [3/7]

GLint GLint GLint GLint GLsizei GLsizei osg::GLExtensions::height

## height [4/7]

GLsizei GLint GLsizei GLsizei osg::GLExtensions::height

## height [5/7]

GLint GLint GLint GLsizei GLsizei osg::GLExtensions::height

## height [6/7]

GLint GLenum GLsizei GLsizei osg::GLExtensions::height

## height [7/7]

GLint GLint GLint GLint GLsizei GLsizei osg::GLExtensions::height

Referenced by void(), void(), and void().

## id [1/2]

GLuint GLuint osg::GLExtensions::id

## id [2/2]

GLuint osg::GLExtensions::id

Referenced by GLboolean(), GLboolean(), GLboolean(), GLboolean(), void(), void(), void(), void(), void(), void(), void(), and void().

## ids [1/2]

const GLuint* osg::GLExtensions::ids

## ids [2/2]

GLuint * osg::GLExtensions::ids

Referenced by void(), void(), void(), void(), and void().

## imageSize [1/4]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLsizei osg::GLExtensions::imageSize

## imageSize [2/4]

GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei osg::GLExtensions::imageSize

## imageSize [3/4]

GLint GLint GLint GLsizei GLsizei GLenum GLsizei osg::GLExtensions::imageSize

## imageSize [4/4]

GLint GLenum GLsizei GLsizei GLint GLsizei osg::GLExtensions::imageSize

## index [1/3]

GLenum GLuint osg::GLExtensions::index

## index [2/3]

GLuint GLuint osg::GLExtensions::index

## index [3/3]

GLuint osg::GLExtensions::index

Referenced by GLboolean(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## indices [1/6]

GLuint GLuint GLsizei GLenum const void* osg::GLExtensions::indices

## indices [2/6]

GLsizei GLenum const void* osg::GLExtensions::indices

## indices [3/6]

GLuint GLuint GLsizei GLenum const GLvoid* osg::GLExtensions::indices

## indices [4/6]

const GLsizei GLenum const void* const* osg::GLExtensions::indices

## indices [5/6]

GLsizei const GLuint* osg::GLExtensions::indices

## indices [6/6]

GLsizei GLenum const void * osg::GLExtensions::indices

## indirect [1/2]

GLenum const void* osg::GLExtensions::indirect

## indirect [2/2]

GLenum const void * osg::GLExtensions::indirect

## infoLog

GLsizei GLsizei GLchar * osg::GLExtensions::infoLog

Referenced by void(), and void().

## instancecount [1/4]

GLsizei GLenum const void GLsizei osg::GLExtensions::instancecount

## instancecount [2/4]

GLint GLsizei GLsizei osg::GLExtensions::instancecount

## instancecount [3/4]

GLuint GLuint GLsizei osg::GLExtensions::instancecount

## instancecount [4/4]

GLsizei GLenum const void GLsizei osg::GLExtensions::instancecount

## internalFormat [1/2]

GLint GLenum osg::GLExtensions::internalFormat

## internalFormat [2/2]

GLenum osg::GLExtensions::internalFormat

## internalformat [1/4]

GLsizei GLint osg::GLExtensions::internalformat

## internalformat [2/4]

GLint GLenum osg::GLExtensions::internalformat

## internalformat [3/4]

GLenum GLuint GLenum osg::GLExtensions::internalformat

## internalformat [4/4]

GLsizei GLenum osg::GLExtensions::internalformat

Referenced by void(), void(), void(), and void().

## invert

GLboolean osg::GLExtensions::invert

## isARBOcclusionQuerySupported

bool osg::GLExtensions::isARBOcclusionQuerySupported

## isARBTimerQuerySupported

bool osg::GLExtensions::isARBTimerQuerySupported

## isBlendColorSupported

bool osg::GLExtensions::isBlendColorSupported

## isBlendEquationSeparateSupported

bool osg::GLExtensions::isBlendEquationSeparateSupported

## isBlendEquationSupported

bool osg::GLExtensions::isBlendEquationSupported

## isBlendFuncSeparateSupported

bool osg::GLExtensions::isBlendFuncSeparateSupported

## isBufferObjectSupported

bool osg::GLExtensions::isBufferObjectSupported

## isClampColorSupported

bool osg::GLExtensions::isClampColorSupported

## isClientStorageSupported

bool osg::GLExtensions::isClientStorageSupported

## isClipControlSupported

bool osg::GLExtensions::isClipControlSupported

## isCubeMapSupported

bool osg::GLExtensions::isCubeMapSupported

## isFogCoordSupported

bool osg::GLExtensions::isFogCoordSupported

## isFragmentProgramSupported

bool osg::GLExtensions::isFragmentProgramSupported

## isFragmentShaderSupported

bool osg::GLExtensions::isFragmentShaderSupported

## isFrameBufferObjectSupported

bool osg::GLExtensions::isFrameBufferObjectSupported

## isGenerateMipMapSupported

bool osg::GLExtensions::isGenerateMipMapSupported

## isGeometryShader4Supported

bool osg::GLExtensions::isGeometryShader4Supported

## isGetProgramBinarySupported

bool osg::GLExtensions::isGetProgramBinarySupported

## isGlslSupported

bool osg::GLExtensions::isGlslSupported

## isGpuShader4Supported

bool osg::GLExtensions::isGpuShader4Supported

## isGpuShaderFp64Supported

bool osg::GLExtensions::isGpuShaderFp64Supported

## isInvalidateFramebufferSupported

bool osg::GLExtensions::isInvalidateFramebufferSupported

## isLanguage100Supported

bool osg::GLExtensions::isLanguage100Supported

## isLogicOpSupported

bool osg::GLExtensions::isLogicOpSupported

## isMultisampledRenderToTextureSupported

bool osg::GLExtensions::isMultisampledRenderToTextureSupported

## isMultisampleFilterHintSupported

bool osg::GLExtensions::isMultisampleFilterHintSupported

## isMultisampleSupported

bool osg::GLExtensions::isMultisampleSupported

## isMultiTexSupported

bool osg::GLExtensions::isMultiTexSupported

## isMultiTexturingSupported

bool osg::GLExtensions::isMultiTexturingSupported

## isNonPowerOfTwoTextureMipMappedSupported

bool osg::GLExtensions::isNonPowerOfTwoTextureMipMappedSupported

Referenced by isNonPowerOfTwoTextureSupported().

## isNonPowerOfTwoTextureNonMipMappedSupported

bool osg::GLExtensions::isNonPowerOfTwoTextureNonMipMappedSupported

Referenced by isNonPowerOfTwoTextureSupported().

## isOcclusionQuerySupported

bool osg::GLExtensions::isOcclusionQuerySupported

## isOpenGL20Supported

bool osg::GLExtensions::isOpenGL20Supported

## isOpenGL32upported

bool osg::GLExtensions::isOpenGL32upported

## isPackedDepthStencilSupported

bool osg::GLExtensions::isPackedDepthStencilSupported

## isPBOSupported

bool osg::GLExtensions::isPBOSupported

## isPointParametersSupported

bool osg::GLExtensions::isPointParametersSupported

## isPointSpriteCoordOriginSupported

bool osg::GLExtensions::isPointSpriteCoordOriginSupported

## isPointSpriteModeSupported

bool osg::GLExtensions::isPointSpriteModeSupported

## isPointSpriteSupported

bool osg::GLExtensions::isPointSpriteSupported

## isRectangleSupported

bool osg::GLExtensions::isRectangleSupported

## isSampleMaskiSupported

bool osg::GLExtensions::isSampleMaskiSupported

## isSecondaryColorSupported

bool osg::GLExtensions::isSecondaryColorSupported

## isSeparateStencilSupported

bool osg::GLExtensions::isSeparateStencilSupported

## isSGIXMinMaxSupported

bool osg::GLExtensions::isSGIXMinMaxSupported

## isShaderAtomicCountersSupported

bool osg::GLExtensions::isShaderAtomicCountersSupported

## isShaderObjectsSupported

bool osg::GLExtensions::isShaderObjectsSupported

## isShadowAmbientSupported

bool osg::GLExtensions::isShadowAmbientSupported

## isShadowSupported

bool osg::GLExtensions::isShadowSupported

## isStencilTwoSidedSupported

bool osg::GLExtensions::isStencilTwoSidedSupported

## isStencilWrapSupported

bool osg::GLExtensions::isStencilWrapSupported

## isTBOSupported

bool osg::GLExtensions::isTBOSupported

## isTexture2DArraySupported

bool osg::GLExtensions::isTexture2DArraySupported

## isTexture3DFast

bool osg::GLExtensions::isTexture3DFast

## isTexture3DSupported

bool osg::GLExtensions::isTexture3DSupported

## isTextureBorderClampSupported

bool osg::GLExtensions::isTextureBorderClampSupported

## isTextureCompressionARBSupported

bool osg::GLExtensions::isTextureCompressionARBSupported

## isTextureCompressionETC2Supported

bool osg::GLExtensions::isTextureCompressionETC2Supported

## isTextureCompressionETCSupported

bool osg::GLExtensions::isTextureCompressionETCSupported

## isTextureCompressionPVRTC2BPPSupported

bool osg::GLExtensions::isTextureCompressionPVRTC2BPPSupported

## isTextureCompressionPVRTC4BPPSupported

bool osg::GLExtensions::isTextureCompressionPVRTC4BPPSupported

## isTextureCompressionPVRTCSupported

bool osg::GLExtensions::isTextureCompressionPVRTCSupported

## isTextureCompressionRGTCSupported

bool osg::GLExtensions::isTextureCompressionRGTCSupported

## isTextureCompressionS3TCSupported

bool osg::GLExtensions::isTextureCompressionS3TCSupported

## isTextureEdgeClampSupported

bool osg::GLExtensions::isTextureEdgeClampSupported

## isTextureFilterAnisotropicSupported

bool osg::GLExtensions::isTextureFilterAnisotropicSupported

## isTextureIntegerEXTSupported

bool osg::GLExtensions::isTextureIntegerEXTSupported

## isTextureMaxLevelSupported

bool osg::GLExtensions::isTextureMaxLevelSupported

## isTextureMirroredRepeatSupported

bool osg::GLExtensions::isTextureMirroredRepeatSupported

## isTextureMultisampledSupported

bool osg::GLExtensions::isTextureMultisampledSupported

## isTextureMultisampleSupported

bool osg::GLExtensions::isTextureMultisampleSupported

## isTextureStorageEnabled

bool osg::GLExtensions::isTextureStorageEnabled

## isTextureSwizzleSupported

bool osg::GLExtensions::isTextureSwizzleSupported

## isTimerQuerySupported

bool osg::GLExtensions::isTimerQuerySupported

## isTransformFeedbackSupported

bool osg::GLExtensions::isTransformFeedbackSupported

## isUniformBufferObjectSupported

bool osg::GLExtensions::isUniformBufferObjectSupported

## isVAOSupported

bool osg::GLExtensions::isVAOSupported

## isVBOSupported

bool osg::GLExtensions::isVBOSupported

## isVertexAttribBindingSupported

bool osg::GLExtensions::isVertexAttribBindingSupported

## isVertexProgramSupported

bool osg::GLExtensions::isVertexProgramSupported

## isVertexShaderSupported

bool osg::GLExtensions::isVertexShaderSupported

## isViewportArraySupported

bool osg::GLExtensions::isViewportArraySupported

## label

GLuint GLsizei const GLchar* osg::GLExtensions::label

Referenced by debugObjectLabel().

## layer [1/2]

GLuint GLint GLboolean GLint osg::GLExtensions::layer

## layer [2/2]

GLint GLboolean GLint osg::GLExtensions::layer

## layered [1/2]

GLuint GLint GLboolean osg::GLExtensions::layered

## layered [2/2]

GLint GLboolean osg::GLExtensions::layered

## left

GLint osg::GLExtensions::left

## len

GLenum GLsizei osg::GLExtensions::len

## length [1/7]

GLuint GLsizei osg::GLExtensions::length

## length [2/7]

GLenum GLsizei GLsizei* osg::GLExtensions::length

## length [3/7]

GLenum GLuint GLsizei GLsizei* osg::GLExtensions::length

## length [4/7]

GLenum const GLvoid GLsizei osg::GLExtensions::length

## length [5/7]

GLsizei const GLchar const GLint* osg::GLExtensions::length

## length [6/7]

GLsizei GLsizei* osg::GLExtensions::length

## length [7/7]

GLuint GLsizei GLsizei * osg::GLExtensions::length

Referenced by glMapBufferRange(), void(), void(), void(), and void().

## level [1/3]

GLenum GLuint GLint osg::GLExtensions::level

## level [2/3]

GLuint GLint osg::GLExtensions::level

## level [3/3]

GLint osg::GLExtensions::level

## location

GLint osg::GLExtensions::location

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## mask [1/3]

GLenum GLint GLuint osg::GLExtensions::mask

## mask [2/3]

GLuint osg::GLExtensions::mask

## mask [3/3]

GLenum GLint GLuint osg::GLExtensions::mask

## max2DSize

GLint osg::GLExtensions::max2DSize

## maxCount

GLsizei osg::GLExtensions::maxCount

## maxLayerCount

GLint osg::GLExtensions::maxLayerCount

## maxTexture3DSize

GLint osg::GLExtensions::maxTexture3DSize

## maxTextureSize

GLint osg::GLExtensions::maxTextureSize

## minlayer

GLenum GLuint GLenum GLuint GLuint GLuint osg::GLExtensions::minlayer

## minlevel

GLenum GLuint GLenum GLuint osg::GLExtensions::minlevel

## mode

GLenum osg::GLExtensions::mode

Referenced by void(), void(), void(), void(), and void().

## modeAlpha [1/2]

GLenum GLenum osg::GLExtensions::modeAlpha

## modeAlpha [2/2]

GLenum osg::GLExtensions::modeAlpha

## modeRGB

GLenum osg::GLExtensions::modeRGB

## n [1/2]

GLfloat osg::GLExtensions::n

## n [2/2]

GLdouble osg::GLExtensions::n

Referenced by void(), void(), void(), void(), void(), and void().

## name [1/8]

GLuint osg::GLExtensions::name

## name [2/8]

GLuint GLsizei GLsizei GLsizei GLenum GLchar* osg::GLExtensions::name

## name [3/8]

GLenum GLuint GLsizei GLsizei GLchar* osg::GLExtensions::name

## name [4/8]

GLenum const GLchar* osg::GLExtensions::name

## name [5/8]

GLuint GLuint const GLchar* osg::GLExtensions::name

## name [6/8]

const GLchar* osg::GLExtensions::name

## name [7/8]

GLuint GLsizei GLsizei GLint GLenum GLchar* osg::GLExtensions::name

## name [8/8]

GLenum GLuint GLsizei GLsizei GLchar * osg::GLExtensions::name

Referenced by debugObjectLabel(), GLint(), GLint(), GLint(), GLint(), GLint(), GLuint(), void(), and void().

## normalized [1/3]

GLuint GLint GLenum GLboolean osg::GLExtensions::normalized

## normalized [2/3]

GLint GLenum GLboolean osg::GLExtensions::normalized

## normalized [3/3]

GLboolean osg::GLExtensions::normalized

## numGroupsY

GLuint osg::GLExtensions::numGroupsY

## numGroupsZ

GLuint GLuint osg::GLExtensions::numGroupsZ

## numlayers

GLenum GLuint GLenum GLuint GLuint GLuint GLuint osg::GLExtensions::numlayers

## numlevels

GLenum GLuint GLenum GLuint GLuint osg::GLExtensions::numlevels

## numMipmapLevels

GLsizei osg::GLExtensions::numMipmapLevels

Referenced by void(), void(), and void().

## numSamples

GLsizei osg::GLExtensions::numSamples

## obj

GLsizei GLsizei GLuint* osg::GLExtensions::obj

## offset [1/3]

GLuint GLintptr osg::GLExtensions::offset

## offset [2/3]

GLuint GLuint GLintptr osg::GLExtensions::offset

## offset [3/3]

GLuint GLuint GLintptr osg::GLExtensions::offset

Referenced by glMapBufferRange().

## orig

GLenum GLuint osg::GLExtensions::orig

## param [1/8]

GLenum GLuint GLint64* osg::GLExtensions::param

## param [2/8]

GLenum GLuint GLint* osg::GLExtensions::param

## param [3/8]

GLenum GLint* osg::GLExtensions::param

## param [4/8]

GLenum GLint osg::GLExtensions::param

## param [5/8]

const GLenum GLint GLenum GLint osg::GLExtensions::param

## param [6/8]

GLfloat osg::GLExtensions::param

## param [7/8]

GLint osg::GLExtensions::param

## param [8/8]

GLenum osg::GLExtensions::param

Referenced by void(), void(), void(), void(), and void().

## params [1/14]

const GLfloat* osg::GLExtensions::params

## params [2/14]

GLuint const GLfloat* osg::GLExtensions::params

## params [3/14]

GLint64* osg::GLExtensions::params

## params [4/14]

GLenum GLuint64* osg::GLExtensions::params

## params [5/14]

GLenum GLuint* osg::GLExtensions::params

## params [6/14]

GLenum GLvoid* * osg::GLExtensions::params

## params [7/14]

GLuint GLenum GLint* osg::GLExtensions::params

## params [8/14]

GLsizei const GLuint GLenum GLint* osg::GLExtensions::params

## params [9/14]

GLint GLuint* osg::GLExtensions::params

## params [10/14]

GLenum GLfloat* osg::GLExtensions::params

## params [11/14]

GLenum GLdouble* osg::GLExtensions::params

## params [12/14]

GLint GLint* osg::GLExtensions::params

## params [13/14]

GLint GLfloat* osg::GLExtensions::params

## params [14/14]

GLint GLuint * osg::GLExtensions::params

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## pixels [1/2]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLenum const GLvoid* osg::GLExtensions::pixels

## pixels [2/2]

GLint GLenum GLsizei GLsizei GLsizei GLint GLenum GLenum const GLvoid* osg::GLExtensions::pixels

## pname [1/6]

GLenum GLenum osg::GLExtensions::pname

## pname [2/6]

GLenum GLuint GLenum osg::GLExtensions::pname

## pname [3/6]

const GLenum GLint GLenum osg::GLExtensions::pname

## pname [4/6]

GLuint GLenum osg::GLExtensions::pname

## pname [5/6]

GLsizei const GLuint GLenum osg::GLExtensions::pname

## pname [6/6]

GLenum osg::GLExtensions::pname

Referenced by GLuint(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## pointer [1/4]

GLenum GLsizei const GLvoid* osg::GLExtensions::pointer

## pointer [2/4]

GLsizei const GLvoid* osg::GLExtensions::pointer

## pointer [3/4]

GLboolean GLsizei const GLvoid* osg::GLExtensions::pointer

## pointer [4/4]

GLsizei const GLvoid * osg::GLExtensions::pointer

Referenced by void(), and void().

## preferGenerateMipmapSGISForPowerOfTwo

bool osg::GLExtensions::preferGenerateMipmapSGISForPowerOfTwo

## primcount [1/4]

GLsizei GLenum const void GLsizei osg::GLExtensions::primcount

## primcount [2/4]

const GLint const GLsizei GLsizei osg::GLExtensions::primcount

## primcount [3/4]

GLsizei GLenum const GLvoid GLsizei osg::GLExtensions::primcount

## primcount [4/4]

GLint GLsizei GLsizei osg::GLExtensions::primcount

## programs

GLuint * osg::GLExtensions::programs

Referenced by void().

## red

GLboolean osg::GLExtensions::red

## ref

GLenum GLint osg::GLExtensions::ref

## relativeoffset [1/4]

GLuint GLint GLenum GLuint osg::GLExtensions::relativeoffset

## relativeoffset [2/4]

GLuint GLint GLenum GLboolean GLuint osg::GLExtensions::relativeoffset

## relativeoffset [3/4]

GLint GLenum GLuint osg::GLExtensions::relativeoffset

## relativeoffset [4/4]

GLuint GLint GLenum GLuint osg::GLExtensions::relativeoffset

Referenced by void(), and void().

## renderbuffers

const GLuint* osg::GLExtensions::renderbuffers

## sampler

GLuint osg::GLExtensions::sampler

Referenced by GLuint64(), void(), void(), void(), void(), void(), and void().

## samplers [1/2]

const GLuint* osg::GLExtensions::samplers

## samplers [2/2]

GLuint* osg::GLExtensions::samplers

## samples

GLsizei osg::GLExtensions::samples

Referenced by void().

## sfactorAlpha [1/2]

GLenum GLenum GLenum osg::GLExtensions::sfactorAlpha

## sfactorAlpha [2/2]

GLenum GLenum osg::GLExtensions::sfactorAlpha

## sfactorRGB

GLenum osg::GLExtensions::sfactorRGB

## sfail

GLenum osg::GLExtensions::sfail

## shader

GLuint osg::GLExtensions::shader

Referenced by getShaderInfoLog(), GLboolean(), void(), void(), void(), void(), and void().

## shadertype

GLenum osg::GLExtensions::shadertype

Referenced by GLint(), GLuint(), void(), and void().

## size [1/8]

GLuint GLint osg::GLExtensions::size

## size [2/8]

GLint osg::GLExtensions::size

## size [3/8]

GLuint GLuint GLintptr GLsizei osg::GLExtensions::size

## size [4/8]

GLuint GLsizei GLsizei GLsizei* osg::GLExtensions::size

## size [5/8]

GLuint GLuint GLintptr GLsizeiptr osg::GLExtensions::size

## size [6/8]

GLintptr GLsizeiptr osg::GLExtensions::size

## size [7/8]

GLsizeiptr osg::GLExtensions::size

## size [8/8]

GLuint GLint osg::GLExtensions::size

Referenced by glBufferStorage(), glNamedBufferStorage(), void(), void(), and void().

## source

GLsizei GLsizei GLchar* osg::GLExtensions::source

## src

GLenum osg::GLExtensions::src

## start

GLuint osg::GLExtensions::start

## stream

GLuint GLuint osg::GLExtensions::stream

## stride [1/7]

GLenum GLsizei osg::GLExtensions::stride

## stride [2/7]

GLuint GLuint GLintptr GLsizei osg::GLExtensions::stride

## stride [3/7]

GLuint GLintptr GLintptr osg::GLExtensions::stride

## stride [4/7]

GLenum const void GLsizei GLsizei osg::GLExtensions::stride

## stride [5/7]

const void GLsizei GLsizei osg::GLExtensions::stride

## stride [6/7]

GLsizei osg::GLExtensions::stride

## stride [7/7]

GLsizei osg::GLExtensions::stride

Referenced by void(), and void().

## string [1/2]

GLenum GLsizei const void* osg::GLExtensions::string

## string [2/2]

GLsizei const GLchar* * osg::GLExtensions::string

## target

GLenum osg::GLExtensions::target

Referenced by GLboolean(), GLboolean(), glBufferStorage(), glMapBuffer(), glMapBufferRange(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## texture [1/2]

GLenum GLuint osg::GLExtensions::texture

## texture [2/2]

GLuint osg::GLExtensions::texture

Referenced by GLuint64(), GLuint64(), void(), void(), void(), void(), and void().

## timeout

GLbitfield GLuint64 osg::GLExtensions::timeout

Referenced by GLenum(), and void().

## transpose

GLsizei GLboolean osg::GLExtensions::transpose

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## type [1/10]

GLuint GLuint GLsizei GLenum osg::GLExtensions::type

## type [2/10]

const GLsizei GLenum osg::GLExtensions::type

## type [3/10]

GLuint GLint GLenum osg::GLExtensions::type

## type [4/10]

GLint GLenum osg::GLExtensions::type

## type [5/10]

GLuint GLsizei GLsizei GLsizei GLenum* osg::GLExtensions::type

## type [6/10]

GLenum osg::GLExtensions::type

## type [7/10]

GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLenum osg::GLExtensions::type

## type [8/10]

GLint GLenum GLsizei GLsizei GLsizei GLint GLenum GLenum osg::GLExtensions::type

## type [9/10]

GLsizei GLenum osg::GLExtensions::type

## type [10/10]

GLenum osg::GLExtensions::type

Referenced by GLuint(), void(), void(), void(), and void().

## uniformBlockBinding

GLuint GLuint osg::GLExtensions::uniformBlockBinding

## uniformBlockIndex

GLuint osg::GLExtensions::uniformBlockIndex

## uniformBlockName [1/2]

GLuint GLsizei GLsizei GLchar* osg::GLExtensions::uniformBlockName

## uniformBlockName [2/2]

const GLchar* osg::GLExtensions::uniformBlockName

Referenced by GLuint().

## uniformCount

GLsizei osg::GLExtensions::uniformCount

## uniformIndex

GLuint osg::GLExtensions::uniformIndex

## uniformIndices [1/2]

GLsizei const GLuint* osg::GLExtensions::uniformIndices

## uniformIndices [2/2]

GLsizei const GLchar GLuint* osg::GLExtensions::uniformIndices

## uniformName

GLuint GLsizei GLsizei GLchar* osg::GLExtensions::uniformName

## uniformNames

GLsizei const GLchar* * osg::GLExtensions::uniformNames

## usage

GLsizeiptr const GLvoid GLenum osg::GLExtensions::usage

## v [1/12]

GLuint int* osg::GLExtensions::v

## v [2/12]

GLsizei const GLdouble* osg::GLExtensions::v

## v [3/12]

GLsizei const GLint* osg::GLExtensions::v

## v [4/12]

GLsizei const GLfloat* osg::GLExtensions::v

## v [5/12]

const GLushort* osg::GLExtensions::v

## v [6/12]

const GLuint* osg::GLExtensions::v

## v [7/12]

const GLubyte* osg::GLExtensions::v

## v [8/12]

const GLint* osg::GLExtensions::v

## v [9/12]

const GLbyte* osg::GLExtensions::v

## v [10/12]

const GLshort* osg::GLExtensions::v

## v [11/12]

const GLfloat* osg::GLExtensions::v

## v [12/12]

const GLint * osg::GLExtensions::v

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## v0 [1/4]

GLdouble osg::GLExtensions::v0

## v0 [2/4]

GLuint osg::GLExtensions::v0

## v0 [3/4]

GLint osg::GLExtensions::v0

## v0 [4/4]

GLdouble osg::GLExtensions::v0

## v1 [1/4]

GLdouble GLdouble osg::GLExtensions::v1

## v1 [2/4]

GLuint GLuint osg::GLExtensions::v1

## v1 [3/4]

GLint GLint osg::GLExtensions::v1

## v1 [4/4]

GLdouble GLdouble osg::GLExtensions::v1

## v2 [1/4]

GLdouble GLdouble GLdouble osg::GLExtensions::v2

## v2 [2/4]

GLuint GLuint GLuint osg::GLExtensions::v2

## v2 [3/4]

GLint GLint GLint osg::GLExtensions::v2

## v2 [4/4]

GLdouble GLdouble GLdouble osg::GLExtensions::v2

## v3 [1/4]

GLdouble GLdouble GLdouble GLdouble osg::GLExtensions::v3

## v3 [2/4]

GLuint GLuint GLuint GLuint osg::GLExtensions::v3

## v3 [3/4]

GLint GLint GLint GLint osg::GLExtensions::v3

## v3 [4/4]

GLfloat GLfloat GLfloat GLfloat osg::GLExtensions::v3

## val

GLuint GLfloat* osg::GLExtensions::val

## value [1/14]

GLenum GLuint* osg::GLExtensions::value

## value [2/14]

GLenum GLfloat* osg::GLExtensions::value

## value [3/14]

GLenum GLint* osg::GLExtensions::value

## value [4/14]

GLenum GLfloat osg::GLExtensions::value

## value [5/14]

GLsizei GLboolean const GLdouble* osg::GLExtensions::value

## value [6/14]

GLsizei const GLdouble* osg::GLExtensions::value

## value [7/14]

GLsizei const GLuint64* osg::GLExtensions::value

## value [8/14]

GLsizei const GLint64* osg::GLExtensions::value

## value [9/14]

GLsizei const GLuint* osg::GLExtensions::value

## value [10/14]

GLint osg::GLExtensions::value

## value [11/14]

GLenum GLint osg::GLExtensions::value

## value [12/14]

GLsizei GLboolean const GLfloat* osg::GLExtensions::value

## value [13/14]

GLsizei const GLint* osg::GLExtensions::value

## value [14/14]

GLenum GLuint * osg::GLExtensions::value

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## values [1/4]

GLenum GLsizei GLsizei GLint* osg::GLExtensions::values

## values [2/4]

GLenum GLenum GLint* osg::GLExtensions::values

## values [3/4]

GLenum GLuint GLenum GLint* osg::GLExtensions::values

## values [4/4]

const GLfloat* osg::GLExtensions::values

## varyings

GLsizei const GLchar* const* osg::GLExtensions::varyings

## w [1/7]

GLfloat GLfloat GLfloat osg::GLExtensions::w

## w [2/7]

GLuint64 GLuint64 GLuint64 GLuint64 osg::GLExtensions::w

## w [3/7]

GLint64 GLint64 GLint64 GLint64 osg::GLExtensions::w

## w [4/7]

GLshort GLshort GLshort GLshort osg::GLExtensions::w

## w [5/7]

GLfloat GLfloat GLfloat GLfloat osg::GLExtensions::w

## w [6/7]

GLdouble GLdouble GLdouble GLdouble osg::GLExtensions::w

## w [7/7]

GLfloat GLfloat GLfloat GLfloat osg::GLExtensions::w

Referenced by void(), void(), void(), void(), void(), void(), and void().

## width [1/7]

GLint GLint GLsizei osg::GLExtensions::width

## width [2/7]

GLint GLint GLint GLint GLint GLint GLsizei osg::GLExtensions::width

## width [3/7]

GLint GLint GLint GLint GLsizei osg::GLExtensions::width

## width [4/7]

GLsizei GLint GLsizei osg::GLExtensions::width

## width [5/7]

GLint GLint GLint GLsizei osg::GLExtensions::width

## width [6/7]

GLint GLenum GLsizei osg::GLExtensions::width

## width [7/7]

GLint GLint GLint GLint GLsizei osg::GLExtensions::width

Referenced by void(), void(), void(), and void().

## x [1/7]

GLint GLint GLint GLint GLint osg::GLExtensions::x

## x [2/7]

GLuint64 osg::GLExtensions::x

## x [3/7]

GLint64 osg::GLExtensions::x

## x [4/7]

GLubyte osg::GLExtensions::x

## x [5/7]

GLshort osg::GLExtensions::x

## x [6/7]

GLfloat osg::GLExtensions::x

## x [7/7]

GLfloat osg::GLExtensions::x

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## xoffset

GLint GLint osg::GLExtensions::xoffset

## y [1/7]

GLint GLint GLint GLint GLint GLint osg::GLExtensions::y

## y [2/7]

GLuint64 GLuint64 osg::GLExtensions::y

## y [3/7]

GLint64 GLint64 osg::GLExtensions::y

## y [4/7]

GLubyte GLubyte osg::GLExtensions::y

## y [5/7]

GLshort GLshort osg::GLExtensions::y

## y [6/7]

GLfloat GLfloat osg::GLExtensions::y

## y [7/7]

GLfloat GLfloat osg::GLExtensions::y

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## yoffset

GLint GLint GLint osg::GLExtensions::yoffset

## z [1/6]

GLuint64 GLuint64 GLuint64 osg::GLExtensions::z

## z [2/6]

GLint64 GLint64 GLint64 osg::GLExtensions::z

## z [3/6]

GLubyte GLubyte GLubyte osg::GLExtensions::z

## z [4/6]

GLshort GLshort GLshort osg::GLExtensions::z

## z [5/6]

GLfloat GLfloat GLfloat osg::GLExtensions::z

## z [6/6]

GLfloat GLfloat GLfloat osg::GLExtensions::z

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## zoffset

GLint GLint GLint GLint osg::GLExtensions::zoffset

The documentation for this class was generated from the following file:

- GLExtensions